// PropHelper.h : Declaration of the CPropHelper

#ifndef __PROPHELPER_H_
#define __PROPHELPER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CPropHelper
class ATL_NO_VTABLE CPropHelper : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CPropHelper, &CLSID_PropHelper>,
	public ISupportErrorInfo,
	public IDispatchImpl<IPropHelper, &IID_IPropHelper, &LIBID_CdoHelper>
{
public:
	CPropHelper()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_PROPHELPER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CPropHelper)
	COM_INTERFACE_ENTRY(IPropHelper)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IPropHelper
public:
	STDMETHOD(GetNameFromID)(/*[in]*/ IDispatch *pdispCdoObject, /*[in]*/ long PropID, /*[out, retval]*/ BSTR *pbstrRetVal);
};

#endif //__PROPHELPER_H_
