VERSION 5.00
Begin VB.Form frmSplash 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   0  'None
   Caption         =   "frmSplash"
   ClientHeight    =   5040
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   9420
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   Picture         =   "frmSplash.frx":0000
   ScaleHeight     =   5040
   ScaleWidth      =   9420
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   3000
      Left            =   600
      Top             =   3960
   End
End
Attribute VB_Name = "frmSplash"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' These two members determine when the splash screen
' gets unloaded.
Private mbProgramInitializationDone As Boolean
Private mbSplashTimerDone As Boolean

Private Sub Form_Click()
   ' The user is impatient.  End the splash early.
   SplashTimerDone = True
End Sub ' Form_Click

Private Sub Form_Load()
   gCenterForm Me
   gSetAlwaysOnTop Me
End Sub ' Form_Load

Private Sub Timer1_Timer()
   ' The splash screen has shown for its requisite time.
   SplashTimerDone = True
End Sub

' Property ProgramInitializationDone should be set True by Sub Main
' when it's done with all of its initialization work.

Public Property Get ProgramInitializationDone() As Boolean
   ProgramInitializationDone = mbProgramInitializationDone
End Property ' Get ProgramInitializationDone

Public Property Let ProgramInitializationDone(ByVal bNewVal As Boolean)
   mbProgramInitializationDone = bNewVal
   UnloadIfDone
End Property ' Let ProgramInitializationDone

' Property SplashTimerDone is read only, and is True when the

Public Property Get SplashTimerDone() As Boolean
   SplashTimerDone = mbSplashTimerDone
End Property ' Get SplashTimerDone

' Note that this is private so that external code can't set it.
Private Property Let SplashTimerDone(ByVal bNewVal As Boolean)
   mbSplashTimerDone = bNewVal
   Timer1.Enabled = False
   UnloadIfDone
End Property ' Let SplashTimerDone

Private Sub UnloadIfDone()
   ' If the splash has been shown for the requisite number of seconds,
   ' and the program initialization is done, then unload.
   If mbProgramInitializationDone And mbSplashTimerDone Then
      Unload Me
   End If
End Sub ' UnloadIfDone
