// MessageHelper.h : Declaration of the CMessageHelper

#ifndef __MESSAGEHELPER_H_
#define __MESSAGEHELPER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMessageHelper
class ATL_NO_VTABLE CMessageHelper : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMessageHelper, &CLSID_MessageHelper>,
	public ISupportErrorInfo,
	public IDispatchImpl<IMessageHelper, &IID_IMessageHelper, &LIBID_CdoHelper>
{
public:
	CMessageHelper()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MESSAGEHELPER)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CMessageHelper)
	COM_INTERFACE_ENTRY(IMessageHelper)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IMessageHelper
public:
	STDMETHOD(SetTextRTF)(/*[in]*/ IDispatch *pdispCdoMessage, /*[in]*/ BSTR bstrTextRTF);
	STDMETHOD(GetTextRTF)(/*[in]*/ IDispatch *pdispCdoMessage, /*[out, retval]*/ BSTR *pbstrRetVal);
	STDMETHOD(HasTextRTF)(/*[in]*/ IDispatch *pdispCdoMessage, /*[out, retval]*/ VARIANT_BOOL *pbRetVal);
};

#endif //__MESSAGEHELPER_H_
