// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////

#ifndef __CDO_H__
#define __CDO_H__

// CCdoMessage wrapper class

class CCdoMessage : public COleDispatchDriver
{
public:
	CCdoMessage() {}		// Calls COleDispatchDriver default constructor
	CCdoMessage(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CCdoMessage(const CCdoMessage& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	VARIANT GetApplication();
	VARIANT GetParent();
	void SetParent(const VARIANT&);
	VARIANT GetSession();
	void SetSession(const VARIANT&);
	VARIANT GetClass();
	VARIANT GetMAPIOBJECT();
	VARIANT GetFolderID();
	VARIANT GetStoreID();
	VARIANT GetId();
	VARIANT GetType();
	void SetType(const VARIANT&);
	VARIANT GetSize();
	VARIANT GetImportance();
	void SetImportance(const VARIANT&);
	VARIANT GetSubject();
	void SetSubject(const VARIANT&);
	VARIANT GetSender();
	void SetSender(const VARIANT&);
	VARIANT GetTimeSent();
	void SetTimeSent(const VARIANT&);
	VARIANT GetTimeReceived();
	void SetTimeReceived(const VARIANT&);
	VARIANT GetText();
	void SetText(const VARIANT&);
	VARIANT GetSent();
	void SetSent(const VARIANT&);
	VARIANT GetSubmitted();
	void SetSubmitted(const VARIANT&);
	VARIANT GetUnread();
	void SetUnread(const VARIANT&);
	VARIANT GetSigned();
	void SetSigned(const VARIANT&);
	VARIANT GetEncrypted();
	void SetEncrypted(const VARIANT&);
	VARIANT GetReadReceipt();
	void SetReadReceipt(const VARIANT&);
	VARIANT GetDeliveryReceipt();
	void SetDeliveryReceipt(const VARIANT&);
	VARIANT GetConversation();
	void SetConversation(const VARIANT&);
	VARIANT GetConversationIndex();
	void SetConversationIndex(const VARIANT&);
	VARIANT GetConversationTopic();
	void SetConversationTopic(const VARIANT&);
	VARIANT GetFields();
	VARIANT GetRecipients();
	void SetRecipients(const VARIANT&);
	VARIANT GetAttachments();
	VARIANT GetCategories();
	void SetCategories(const VARIANT&);
	VARIANT GetTimeCreated();
	VARIANT GetTimeExpired();
	void SetTimeExpired(const VARIANT&);
	VARIANT GetSensitivity();
	void SetSensitivity(const VARIANT&);
	VARIANT GetTimeLastModified();

// Operations
public:
	VARIANT IsSameAs(const VARIANT& Object);
	VARIANT Delete();
	VARIANT Update(const VARIANT& MakePermanent, const VARIANT& RefreshObject);
	VARIANT Options(const VARIANT& ParentWindow);
	VARIANT CopyTo(const VARIANT& FolderID, const VARIANT& StoreID);
	VARIANT MoveTo(const VARIANT& FolderID, const VARIANT& StoreID);
	VARIANT Send(const VARIANT& SaveCopy, const VARIANT& ShowDialog, const VARIANT& ParentWindow);
	VARIANT Reply();
	VARIANT ReplyAll();
	VARIANT Forward();
};
/////////////////////////////////////////////////////////////////////////////
// CCdoFields wrapper class

class CCdoFields : public COleDispatchDriver
{
public:
	CCdoFields() {}		// Calls COleDispatchDriver default constructor
	CCdoFields(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CCdoFields(const CCdoFields& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	VARIANT GetApplication();
	VARIANT GetParent();
	void SetParent(const VARIANT&);
	VARIANT GetSession();
	void SetSession(const VARIANT&);
	VARIANT GetClass();
	VARIANT GetCount();

// Operations
public:
	VARIANT GetItem(const VARIANT& Index, const VARIANT& PropsetID);
	VARIANT SetNamespace(const VARIANT& PropsetID);
	VARIANT Add(const VARIANT& Name, const VARIANT& Class, const VARIANT& Value, const VARIANT& PropsetID);
	VARIANT Delete();
};
/////////////////////////////////////////////////////////////////////////////
// CCdoField wrapper class

class CCdoField : public COleDispatchDriver
{
public:
	CCdoField() {}		// Calls COleDispatchDriver default constructor
	CCdoField(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CCdoField(const CCdoField& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	VARIANT GetApplication();
	VARIANT GetParent();
	void SetParent(const VARIANT&);
	VARIANT GetSession();
	void SetSession(const VARIANT&);
	VARIANT GetClass();
	VARIANT GetIndex();
	VARIANT GetType();
	VARIANT GetName();
	VARIANT GetId();
	VARIANT GetValue();
	void SetValue(const VARIANT&);

// Operations
public:
	VARIANT Delete();
	VARIANT ReadFromFile(const VARIANT& FileName);
	VARIANT WriteToFile(const VARIANT& FileName);
};

#endif // __CDO_H__