Attribute VB_Name = "CdoPrTextFromCode"
Option Explicit

Public Function CdoPrTextFromCode(ByVal CdoPropTag As MAPI.CdoPropTags) _
   As String
   
   ' This function returns the name of a property tag, given its numeric ID.
   ' Property tags are read from the ID property of Field objects.
    
   Select Case CdoPropTag
   Case CdoPR_ACKNOWLEDGEMENT_MODE:
      CdoPrTextFromCode = "CdoPR_ACKNOWLEDGEMENT_MODE"
   Case CdoPR_ALTERNATE_RECIPIENT_ALLOWED:
      CdoPrTextFromCode = "CdoPR_ALTERNATE_RECIPIENT_ALLOWED"
   Case CdoPR_AUTHORIZING_USERS:
      CdoPrTextFromCode = "CdoPR_AUTHORIZING_USERS"
   Case CdoPR_AUTO_FORWARD_COMMENT:
      CdoPrTextFromCode = "CdoPR_AUTO_FORWARD_COMMENT"
   Case CdoPR_AUTO_FORWARD_COMMENT_W:
      CdoPrTextFromCode = "CdoPR_AUTO_FORWARD_COMMENT_W"
   Case CdoPR_AUTO_FORWARD_COMMENT_A:
      CdoPrTextFromCode = "CdoPR_AUTO_FORWARD_COMMENT_A"
   Case CdoPR_AUTO_FORWARDED:
      CdoPrTextFromCode = "CdoPR_AUTO_FORWARDED"
   Case CdoPR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID:
      CdoPrTextFromCode = "CdoPR_CONTENT_CONFIDENTIALITY_ALGORITHM_ID"
   Case CdoPR_CONTENT_CORRELATOR:
      CdoPrTextFromCode = "CdoPR_CONTENT_CORRELATOR"
   Case CdoPR_CONTENT_IDENTIFIER:
      CdoPrTextFromCode = "CdoPR_CONTENT_IDENTIFIER"
   Case CdoPR_CONTENT_IDENTIFIER_W:
      CdoPrTextFromCode = "CdoPR_CONTENT_IDENTIFIER_W"
   Case CdoPR_CONTENT_IDENTIFIER_A:
      CdoPrTextFromCode = "CdoPR_CONTENT_IDENTIFIER_A"
   Case CdoPR_CONTENT_LENGTH:
      CdoPrTextFromCode = "CdoPR_CONTENT_LENGTH"
   Case CdoPR_CONTENT_RETURN_REQUESTED:
      CdoPrTextFromCode = "CdoPR_CONTENT_RETURN_REQUESTED"
   Case CdoPR_CONVERSATION_KEY:
      CdoPrTextFromCode = "CdoPR_CONVERSATION_KEY"
   Case CdoPR_CONVERSION_EITS:
      CdoPrTextFromCode = "CdoPR_CONVERSION_EITS"
   Case CdoPR_CONVERSION_WITH_LOSS_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_CONVERSION_WITH_LOSS_PROHIBITED"
   Case CdoPR_CONVERTED_EITS:
      CdoPrTextFromCode = "CdoPR_CONVERTED_EITS"
   Case CdoPR_DEFERRED_DELIVERY_TIME:
      CdoPrTextFromCode = "CdoPR_DEFERRED_DELIVERY_TIME"
   Case CdoPR_DELIVER_TIME:
      CdoPrTextFromCode = "CdoPR_DELIVER_TIME"
   Case CdoPR_DISCARD_REASON:
      CdoPrTextFromCode = "CdoPR_DISCARD_REASON"
   Case CdoPR_DISCLOSURE_OF_RECIPIENTS:
      CdoPrTextFromCode = "CdoPR_DISCLOSURE_OF_RECIPIENTS"
   Case CdoPR_DL_EXPANSION_HISTORY:
      CdoPrTextFromCode = "CdoPR_DL_EXPANSION_HISTORY"
   Case CdoPR_DL_EXPANSION_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_DL_EXPANSION_PROHIBITED"
   Case CdoPR_EXPIRY_TIME:
      CdoPrTextFromCode = "CdoPR_EXPIRY_TIME"
   Case CdoPR_IMPLICIT_CONVERSION_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_IMPLICIT_CONVERSION_PROHIBITED"
   Case CdoPR_IMPORTANCE:
      CdoPrTextFromCode = "CdoPR_IMPORTANCE"
   Case CdoPR_IPM_ID:
      CdoPrTextFromCode = "CdoPR_IPM_ID"
   Case CdoPR_LATEST_DELIVERY_TIME:
      CdoPrTextFromCode = "CdoPR_LATEST_DELIVERY_TIME"
   Case CdoPR_MESSAGE_CLASS:
      CdoPrTextFromCode = "CdoPR_MESSAGE_CLASS"
   Case CdoPR_MESSAGE_CLASS_W:
      CdoPrTextFromCode = "CdoPR_MESSAGE_CLASS_W"
   Case CdoPR_MESSAGE_CLASS_A:
      CdoPrTextFromCode = "CdoPR_MESSAGE_CLASS_A"
   Case CdoPR_MESSAGE_DELIVERY_ID:
      CdoPrTextFromCode = "CdoPR_MESSAGE_DELIVERY_ID"
   Case CdoPR_MESSAGE_SECURITY_LABEL:
      CdoPrTextFromCode = "CdoPR_MESSAGE_SECURITY_LABEL"
   Case CdoPR_OBSOLETED_IPMS:
      CdoPrTextFromCode = "CdoPR_OBSOLETED_IPMS"
   Case CdoPR_ORIGINALLY_INTENDED_RECIPIENT_NAME:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIPIENT_NAME"
   Case CdoPR_INTERNET_APPROVED:
      CdoPrTextFromCode = "CdoPR_INTERNET_APPROVED"
   Case CdoPR_INTERNET_APPROVED_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_APPROVED_A"
   Case CdoPR_INTERNET_APPROVED_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_APPROVED_W"
   Case CdoPR_INTERNET_CONTROL:
      CdoPrTextFromCode = "CdoPR_INTERNET_CONTROL"
   Case CdoPR_INTERNET_CONTROL_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_CONTROL_A"
   Case CdoPR_INTERNET_CONTROL_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_CONTROL_W"
   Case CdoPR_INTERNET_DISTRIBUTION:
      CdoPrTextFromCode = "CdoPR_INTERNET_DISTRIBUTION"
   Case CdoPR_INTERNET_DISTRIBUTION_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_DISTRIBUTION_A"
   Case CdoPR_INTERNET_DISTRIBUTION_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_DISTRIBUTION_W"
   Case CdoPR_INTERNET_FOLLOWUP_TO:
      CdoPrTextFromCode = "CdoPR_INTERNET_FOLLOWUP_TO"
   Case CdoPR_INTERNET_FOLLOWUP_TO_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_FOLLOWUP_TO_A"
   Case CdoPR_INTERNET_FOLLOWUP_TO_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_FOLLOWUP_TO_W"
   Case CdoPR_INTERNET_LINES:
      CdoPrTextFromCode = "CdoPR_INTERNET_LINES"
   Case CdoPR_INTERNET_MESSAGE_ID:
      CdoPrTextFromCode = "CdoPR_INTERNET_MESSAGE_ID"
   Case CdoPR_INTERNET_MESSAGE_ID_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_MESSAGE_ID_A"
   Case CdoPR_INTERNET_MESSAGE_ID_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_MESSAGE_ID_W"
   Case CdoPR_INTERNET_NEWSGROUPS:
      CdoPrTextFromCode = "CdoPR_INTERNET_NEWSGROUPS"
   Case CdoPR_INTERNET_NEWSGROUPS_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_NEWSGROUPS_A"
   Case CdoPR_INTERNET_NEWSGROUPS_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_NEWSGROUPS_W"
   Case CdoPR_INTERNET_ORGANIZATION:
      CdoPrTextFromCode = "CdoPR_INTERNET_ORGANIZATION"
   Case CdoPR_INTERNET_ORGANIZATION_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_ORGANIZATION_A"
   Case CdoPR_INTERNET_ORGANIZATION_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_ORGANIZATION_W"
   Case CdoPR_INTERNET_NNTP_PATH:
      CdoPrTextFromCode = "CdoPR_INTERNET_NNTP_PATH"
   Case CdoPR_INTERNET_NNTP_PATH_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_NNTP_PATH_A"
   Case CdoPR_INTERNET_NNTP_PATH_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_NNTP_PATH_W"
   Case CdoPR_INTERNET_REFERENCES:
      CdoPrTextFromCode = "CdoPR_INTERNET_REFERENCES"
   Case CdoPR_INTERNET_REFERENCES_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_REFERENCES_A"
   Case CdoPR_INTERNET_REFERENCES_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_REFERENCES_W"
   Case CdoPR_SUPERSEDES:
      CdoPrTextFromCode = "CdoPR_SUPERSEDES"
   Case CdoPR_SUPERSEDES_A:
      CdoPrTextFromCode = "CdoPR_SUPERSEDES_A"
   Case CdoPR_SUPERSEDES_W:
      CdoPrTextFromCode = "CdoPR_SUPERSEDES_W"
   Case CdoPR_POST_FOLDER_ENTRIES:
      CdoPrTextFromCode = "CdoPR_POST_FOLDER_ENTRIES"
   Case CdoPR_POST_FOLDER_NAMES:
      CdoPrTextFromCode = "CdoPR_POST_FOLDER_NAMES"
   Case CdoPR_POST_FOLDER_NAMES_A:
      CdoPrTextFromCode = "CdoPR_POST_FOLDER_NAMES_A"
   Case CdoPR_POST_FOLDER_NAMES_W:
      CdoPrTextFromCode = "CdoPR_POST_FOLDER_NAMES_W"
   Case CdoPR_POST_REPLY_FOLDER_ENTRIES:
      CdoPrTextFromCode = "CdoPR_POST_REPLY_FOLDER_ENTRIES"
   Case CdoPR_POST_REPLY_FOLDER_NAMES:
      CdoPrTextFromCode = "CdoPR_POST_REPLY_FOLDER_NAMES"
   Case CdoPR_POST_REPLY_FOLDER_NAMES_A:
      CdoPrTextFromCode = "CdoPR_POST_REPLY_FOLDER_NAMES_A"
   Case CdoPR_POST_REPLY_FOLDER_NAMES_W:
      CdoPrTextFromCode = "CdoPR_POST_REPLY_FOLDER_NAMES_W"
   Case CdoPR_POST_REPLY_DENIED:
      CdoPrTextFromCode = "CdoPR_POST_REPLY_DENIED"
   Case CdoPR_ORIGINAL_EITS:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_EITS"
   Case CdoPR_ORIGINATOR_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_CERTIFICATE"
   Case CdoPR_ORIGINATOR_DELIVERY_REPORT_REQUESTED:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_DELIVERY_REPORT_REQUESTED"
   Case CdoPR_ORIGINATOR_RETURN_ADDRESS:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_RETURN_ADDRESS"
   Case CdoPR_PARENT_KEY:
      CdoPrTextFromCode = "CdoPR_PARENT_KEY"
   Case CdoPR_PRIORITY:
      CdoPrTextFromCode = "CdoPR_PRIORITY"
   Case CdoPR_ORIGIN_CHECK:
      CdoPrTextFromCode = "CdoPR_ORIGIN_CHECK"
   Case CdoPR_PROOF_OF_SUBMISSION_REQUESTED:
      CdoPrTextFromCode = "CdoPR_PROOF_OF_SUBMISSION_REQUESTED"
   Case CdoPR_READ_RECEIPT_REQUESTED:
      CdoPrTextFromCode = "CdoPR_READ_RECEIPT_REQUESTED"
   Case CdoPR_RECEIPT_TIME:
      CdoPrTextFromCode = "CdoPR_RECEIPT_TIME"
   Case CdoPR_RECIPIENT_REASSIGNMENT_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_REASSIGNMENT_PROHIBITED"
   Case CdoPR_REDIRECTION_HISTORY:
      CdoPrTextFromCode = "CdoPR_REDIRECTION_HISTORY"
   Case CdoPR_RELATED_IPMS:
      CdoPrTextFromCode = "CdoPR_RELATED_IPMS"
   Case CdoPR_ORIGINAL_SENSITIVITY:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENSITIVITY"
   Case CdoPR_LANGUAGES:
      CdoPrTextFromCode = "CdoPR_LANGUAGES"
   Case CdoPR_LANGUAGES_W:
      CdoPrTextFromCode = "CdoPR_LANGUAGES_W"
   Case CdoPR_LANGUAGES_A:
      CdoPrTextFromCode = "CdoPR_LANGUAGES_A"
   Case CdoPR_REPLY_TIME:
      CdoPrTextFromCode = "CdoPR_REPLY_TIME"
   Case CdoPR_REPORT_TAG:
      CdoPrTextFromCode = "CdoPR_REPORT_TAG"
   Case CdoPR_REPORT_TIME:
      CdoPrTextFromCode = "CdoPR_REPORT_TIME"
   Case CdoPR_RETURNED_IPM:
      CdoPrTextFromCode = "CdoPR_RETURNED_IPM"
   Case CdoPR_SECURITY:
      CdoPrTextFromCode = "CdoPR_SECURITY"
   Case CdoPR_INCOMPLETE_COPY:
      CdoPrTextFromCode = "CdoPR_INCOMPLETE_COPY"
   Case CdoPR_SENSITIVITY:
      CdoPrTextFromCode = "CdoPR_SENSITIVITY"
   Case CdoPR_SUBJECT:
      CdoPrTextFromCode = "CdoPR_SUBJECT"
   Case CdoPR_SUBJECT_W:
      CdoPrTextFromCode = "CdoPR_SUBJECT_W"
   Case CdoPR_SUBJECT_A:
      CdoPrTextFromCode = "CdoPR_SUBJECT_A"
   Case CdoPR_SUBJECT_IPM:
      CdoPrTextFromCode = "CdoPR_SUBJECT_IPM"
   Case CdoPR_CLIENT_SUBMIT_TIME:
      CdoPrTextFromCode = "CdoPR_CLIENT_SUBMIT_TIME"
   Case CdoPR_REPORT_NAME:
      CdoPrTextFromCode = "CdoPR_REPORT_NAME"
   Case CdoPR_REPORT_NAME_W:
      CdoPrTextFromCode = "CdoPR_REPORT_NAME_W"
   Case CdoPR_REPORT_NAME_A:
      CdoPrTextFromCode = "CdoPR_REPORT_NAME_A"
   Case CdoPR_SENT_REPRESENTING_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_SEARCH_KEY"
   Case CdoPR_X400_CONTENT_TYPE:
      CdoPrTextFromCode = "CdoPR_X400_CONTENT_TYPE"
   Case CdoPR_SUBJECT_PREFIX:
      CdoPrTextFromCode = "CdoPR_SUBJECT_PREFIX"
   Case CdoPR_SUBJECT_PREFIX_W:
      CdoPrTextFromCode = "CdoPR_SUBJECT_PREFIX_W"
   Case CdoPR_SUBJECT_PREFIX_A:
      CdoPrTextFromCode = "CdoPR_SUBJECT_PREFIX_A"
   Case CdoPR_NON_RECEIPT_REASON:
      CdoPrTextFromCode = "CdoPR_NON_RECEIPT_REASON"
   Case CdoPR_RECEIVED_BY_ENTRYID:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_ENTRYID"
   Case CdoPR_RECEIVED_BY_NAME:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_NAME"
   Case CdoPR_RECEIVED_BY_NAME_W:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_NAME_W"
   Case CdoPR_RECEIVED_BY_NAME_A:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_NAME_A"
   Case CdoPR_SENT_REPRESENTING_ENTRYID:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_ENTRYID"
   Case CdoPR_SENT_REPRESENTING_NAME:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_NAME"
   Case CdoPR_SENT_REPRESENTING_NAME_W:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_NAME_W"
   Case CdoPR_SENT_REPRESENTING_NAME_A:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_NAME_A"
   Case CdoPR_RCVD_REPRESENTING_ENTRYID:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_ENTRYID"
   Case CdoPR_RCVD_REPRESENTING_NAME:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_NAME"
   Case CdoPR_RCVD_REPRESENTING_NAME_W:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_NAME_W"
   Case CdoPR_RCVD_REPRESENTING_NAME_A:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_NAME_A"
   Case CdoPR_REPORT_ENTRYID:
      CdoPrTextFromCode = "CdoPR_REPORT_ENTRYID"
   Case CdoPR_READ_RECEIPT_ENTRYID:
      CdoPrTextFromCode = "CdoPR_READ_RECEIPT_ENTRYID"
   Case CdoPR_MESSAGE_SUBMISSION_ID:
      CdoPrTextFromCode = "CdoPR_MESSAGE_SUBMISSION_ID"
   Case CdoPR_PROVIDER_SUBMIT_TIME:
      CdoPrTextFromCode = "CdoPR_PROVIDER_SUBMIT_TIME"
   Case CdoPR_ORIGINAL_SUBJECT:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SUBJECT"
   Case CdoPR_ORIGINAL_SUBJECT_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SUBJECT_W"
   Case CdoPR_ORIGINAL_SUBJECT_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SUBJECT_A"
   Case CdoPR_DISC_VAL:
      CdoPrTextFromCode = "CdoPR_DISC_VAL"
   Case CdoPR_ORIG_MESSAGE_CLASS:
      CdoPrTextFromCode = "CdoPR_ORIG_MESSAGE_CLASS"
   Case CdoPR_ORIG_MESSAGE_CLASS_W:
      CdoPrTextFromCode = "CdoPR_ORIG_MESSAGE_CLASS_W"
   Case CdoPR_ORIG_MESSAGE_CLASS_A:
      CdoPrTextFromCode = "CdoPR_ORIG_MESSAGE_CLASS_A"
   Case CdoPR_ORIGINAL_AUTHOR_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_ENTRYID"
   Case CdoPR_ORIGINAL_AUTHOR_NAME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_NAME"
   Case CdoPR_ORIGINAL_AUTHOR_NAME_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_NAME_W"
   Case CdoPR_ORIGINAL_AUTHOR_NAME_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_NAME_A"
   Case CdoPR_ORIGINAL_SUBMIT_TIME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SUBMIT_TIME"
   Case CdoPR_REPLY_RECIPIENT_ENTRIES:
      CdoPrTextFromCode = "CdoPR_REPLY_RECIPIENT_ENTRIES"
   Case CdoPR_REPLY_RECIPIENT_NAMES:
      CdoPrTextFromCode = "CdoPR_REPLY_RECIPIENT_NAMES"
   Case CdoPR_REPLY_RECIPIENT_NAMES_W:
      CdoPrTextFromCode = "CdoPR_REPLY_RECIPIENT_NAMES_W"
   Case CdoPR_REPLY_RECIPIENT_NAMES_A:
      CdoPrTextFromCode = "CdoPR_REPLY_RECIPIENT_NAMES_A"
   Case CdoPR_RECEIVED_BY_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_SEARCH_KEY"
   Case CdoPR_RCVD_REPRESENTING_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_SEARCH_KEY"
   Case CdoPR_READ_RECEIPT_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_READ_RECEIPT_SEARCH_KEY"
   Case CdoPR_REPORT_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_REPORT_SEARCH_KEY"
   Case CdoPR_ORIGINAL_DELIVERY_TIME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DELIVERY_TIME"
   Case CdoPR_ORIGINAL_AUTHOR_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_SEARCH_KEY"
   Case CdoPR_MESSAGE_TO_ME:
      CdoPrTextFromCode = "CdoPR_MESSAGE_TO_ME"
   Case CdoPR_MESSAGE_CC_ME:
      CdoPrTextFromCode = "CdoPR_MESSAGE_CC_ME"
   Case CdoPR_MESSAGE_RECIP_ME:
      CdoPrTextFromCode = "CdoPR_MESSAGE_RECIP_ME"
   Case CdoPR_ORIGINAL_SENDER_NAME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_NAME"
   Case CdoPR_ORIGINAL_SENDER_NAME_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_NAME_W"
   Case CdoPR_ORIGINAL_SENDER_NAME_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_NAME_A"
   Case CdoPR_ORIGINAL_SENDER_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_ENTRYID"
   Case CdoPR_ORIGINAL_SENDER_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_SEARCH_KEY"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_NAME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_NAME"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_NAME_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_NAME_W"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_NAME_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_NAME_A"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_ENTRYID"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY"
   Case CdoPR_START_DATE:
      CdoPrTextFromCode = "CdoPR_START_DATE"
   Case CdoPR_END_DATE:
      CdoPrTextFromCode = "CdoPR_END_DATE"
   Case CdoPR_OWNER_APPT_ID:
      CdoPrTextFromCode = "CdoPR_OWNER_APPT_ID"
   Case CdoPR_RESPONSE_REQUESTED:
      CdoPrTextFromCode = "CdoPR_RESPONSE_REQUESTED"
   Case CdoPR_SENT_REPRESENTING_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_ADDRTYPE"
   Case CdoPR_SENT_REPRESENTING_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_ADDRTYPE_W"
   Case CdoPR_SENT_REPRESENTING_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_ADDRTYPE_A"
   Case CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS"
   Case CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS_W"
   Case CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_SENT_REPRESENTING_EMAIL_ADDRESS_A"
   Case CdoPR_ORIGINAL_SENDER_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_ADDRTYPE"
   Case CdoPR_ORIGINAL_SENDER_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_ADDRTYPE_W"
   Case CdoPR_ORIGINAL_SENDER_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_ADDRTYPE_A"
   Case CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS"
   Case CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS_W"
   Case CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENDER_EMAIL_ADDRESS_A"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE_W"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE_A"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS_W"
   Case CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS_A"
   Case CdoPR_CONVERSATION_TOPIC:
      CdoPrTextFromCode = "CdoPR_CONVERSATION_TOPIC"
   Case CdoPR_CONVERSATION_TOPIC_W:
      CdoPrTextFromCode = "CdoPR_CONVERSATION_TOPIC_W"
   Case CdoPR_CONVERSATION_TOPIC_A:
      CdoPrTextFromCode = "CdoPR_CONVERSATION_TOPIC_A"
   Case CdoPR_CONVERSATION_INDEX:
      CdoPrTextFromCode = "CdoPR_CONVERSATION_INDEX"
   Case CdoPR_ORIGINAL_DISPLAY_BCC:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_BCC"
   Case CdoPR_ORIGINAL_DISPLAY_BCC_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_BCC_W"
   Case CdoPR_ORIGINAL_DISPLAY_BCC_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_BCC_A"
   Case CdoPR_ORIGINAL_DISPLAY_CC:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_CC"
   Case CdoPR_ORIGINAL_DISPLAY_CC_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_CC_W"
   Case CdoPR_ORIGINAL_DISPLAY_CC_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_CC_A"
   Case CdoPR_ORIGINAL_DISPLAY_TO:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_TO"
   Case CdoPR_ORIGINAL_DISPLAY_TO_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_TO_W"
   Case CdoPR_ORIGINAL_DISPLAY_TO_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_TO_A"
   Case CdoPR_RECEIVED_BY_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_ADDRTYPE"
   Case CdoPR_RECEIVED_BY_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_ADDRTYPE_W"
   Case CdoPR_RECEIVED_BY_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_ADDRTYPE_A"
   Case CdoPR_RECEIVED_BY_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_EMAIL_ADDRESS"
   Case CdoPR_RECEIVED_BY_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_EMAIL_ADDRESS_W"
   Case CdoPR_RECEIVED_BY_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_RECEIVED_BY_EMAIL_ADDRESS_A"
   Case CdoPR_RCVD_REPRESENTING_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_ADDRTYPE"
   Case CdoPR_RCVD_REPRESENTING_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_ADDRTYPE_W"
   Case CdoPR_RCVD_REPRESENTING_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_ADDRTYPE_A"
   Case CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS"
   Case CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS_W"
   Case CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_RCVD_REPRESENTING_EMAIL_ADDRESS_A"
   Case CdoPR_ORIGINAL_AUTHOR_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_ADDRTYPE"
   Case CdoPR_ORIGINAL_AUTHOR_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_ADDRTYPE_W"
   Case CdoPR_ORIGINAL_AUTHOR_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_ADDRTYPE_A"
   Case CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS"
   Case CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS_W"
   Case CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_AUTHOR_EMAIL_ADDRESS_A"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE_W"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_ADDRTYPE_A"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS_W"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_EMAIL_ADDRESS_A"
   Case CdoPR_TRANSPORT_MESSAGE_HEADERS:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_MESSAGE_HEADERS"
   Case CdoPR_TRANSPORT_MESSAGE_HEADERS_W:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_MESSAGE_HEADERS_W"
   Case CdoPR_TRANSPORT_MESSAGE_HEADERS_A:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_MESSAGE_HEADERS_A"
   Case CdoPR_DELEGATION:
      CdoPrTextFromCode = "CdoPR_DELEGATION"
   Case CdoPR_TNEF_CORRELATION_KEY:
      CdoPrTextFromCode = "CdoPR_TNEF_CORRELATION_KEY"
   Case CdoPR_BODY:
      CdoPrTextFromCode = "CdoPR_BODY"
   Case CdoPR_BODY_W:
      CdoPrTextFromCode = "CdoPR_BODY_W"
   Case CdoPR_BODY_A:
      CdoPrTextFromCode = "CdoPR_BODY_A"
   Case CdoPR_REPORT_TEXT:
      CdoPrTextFromCode = "CdoPR_REPORT_TEXT"
   Case CdoPR_REPORT_TEXT_W:
      CdoPrTextFromCode = "CdoPR_REPORT_TEXT_W"
   Case CdoPR_REPORT_TEXT_A:
      CdoPrTextFromCode = "CdoPR_REPORT_TEXT_A"
   Case CdoPR_ORIGINATOR_AND_DL_EXPANSION_HISTORY:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_AND_DL_EXPANSION_HISTORY"
   Case CdoPR_REPORTING_DL_NAME:
      CdoPrTextFromCode = "CdoPR_REPORTING_DL_NAME"
   Case CdoPR_REPORTING_MTA_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_REPORTING_MTA_CERTIFICATE"
   Case CdoPR_RTF_SYNC_BODY_CRC:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_BODY_CRC"
   Case CdoPR_RTF_SYNC_BODY_COUNT:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_BODY_COUNT"
   Case CdoPR_RTF_SYNC_BODY_TAG:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_BODY_TAG"
   Case CdoPR_RTF_SYNC_BODY_TAG_W:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_BODY_TAG_W"
   Case CdoPR_RTF_SYNC_BODY_TAG_A:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_BODY_TAG_A"
   Case CdoPR_RTF_COMPRESSED:
      CdoPrTextFromCode = "CdoPR_RTF_COMPRESSED"
   Case CdoPR_RTF_SYNC_PREFIX_COUNT:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_PREFIX_COUNT"
   Case CdoPR_RTF_SYNC_TRAILING_COUNT:
      CdoPrTextFromCode = "CdoPR_RTF_SYNC_TRAILING_COUNT"
   Case CdoPR_ORIGINALLY_INTENDED_RECIP_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ORIGINALLY_INTENDED_RECIP_ENTRYID"
   Case CdoPR_CONTENT_INTEGRITY_CHECK:
      CdoPrTextFromCode = "CdoPR_CONTENT_INTEGRITY_CHECK"
   Case CdoPR_EXPLICIT_CONVERSION:
      CdoPrTextFromCode = "CdoPR_EXPLICIT_CONVERSION"
   Case CdoPR_IPM_RETURN_REQUESTED:
      CdoPrTextFromCode = "CdoPR_IPM_RETURN_REQUESTED"
   Case CdoPR_MESSAGE_TOKEN:
      CdoPrTextFromCode = "CdoPR_MESSAGE_TOKEN"
   Case CdoPR_NDR_REASON_CODE:
      CdoPrTextFromCode = "CdoPR_NDR_REASON_CODE"
   Case CdoPR_NDR_DIAG_CODE:
      CdoPrTextFromCode = "CdoPR_NDR_DIAG_CODE"
   Case CdoPR_NON_RECEIPT_NOTIFICATION_REQUESTED:
      CdoPrTextFromCode = "CdoPR_NON_RECEIPT_NOTIFICATION_REQUESTED"
   Case CdoPR_DELIVERY_POINT:
      CdoPrTextFromCode = "CdoPR_DELIVERY_POINT"
   Case CdoPR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_NON_DELIVERY_REPORT_REQUESTED"
   Case CdoPR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT:
      CdoPrTextFromCode = "CdoPR_ORIGINATOR_REQUESTED_ALTERNATE_RECIPIENT"
   Case CdoPR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_DELIVERY_BUREAU_FAX_DELIVERY"
   Case CdoPR_PHYSICAL_DELIVERY_MODE:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_DELIVERY_MODE"
   Case CdoPR_PHYSICAL_DELIVERY_REPORT_REQUEST:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_DELIVERY_REPORT_REQUEST"
   Case CdoPR_PHYSICAL_FORWARDING_ADDRESS:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_FORWARDING_ADDRESS"
   Case CdoPR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_FORWARDING_ADDRESS_REQUESTED"
   Case CdoPR_PHYSICAL_FORWARDING_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_FORWARDING_PROHIBITED"
   Case CdoPR_PHYSICAL_RENDITION_ATTRIBUTES:
      CdoPrTextFromCode = "CdoPR_PHYSICAL_RENDITION_ATTRIBUTES"
   Case CdoPR_PROOF_OF_DELIVERY:
      CdoPrTextFromCode = "CdoPR_PROOF_OF_DELIVERY"
   Case CdoPR_PROOF_OF_DELIVERY_REQUESTED:
      CdoPrTextFromCode = "CdoPR_PROOF_OF_DELIVERY_REQUESTED"
   Case CdoPR_RECIPIENT_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_CERTIFICATE"
   Case CdoPR_RECIPIENT_NUMBER_FOR_ADVICE:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_NUMBER_FOR_ADVICE"
   Case CdoPR_RECIPIENT_NUMBER_FOR_ADVICE_W:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_NUMBER_FOR_ADVICE_W"
   Case CdoPR_RECIPIENT_NUMBER_FOR_ADVICE_A:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_NUMBER_FOR_ADVICE_A"
   Case CdoPR_RECIPIENT_TYPE:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_TYPE"
   Case CdoPR_REGISTERED_MAIL_TYPE:
      CdoPrTextFromCode = "CdoPR_REGISTERED_MAIL_TYPE"
   Case CdoPR_REPLY_REQUESTED:
      CdoPrTextFromCode = "CdoPR_REPLY_REQUESTED"
   Case CdoPR_REQUESTED_DELIVERY_METHOD:
      CdoPrTextFromCode = "CdoPR_REQUESTED_DELIVERY_METHOD"
   Case CdoPR_SENDER_ENTRYID:
      CdoPrTextFromCode = "CdoPR_SENDER_ENTRYID"
   Case CdoPR_SENDER_NAME:
      CdoPrTextFromCode = "CdoPR_SENDER_NAME"
   Case CdoPR_SENDER_NAME_W:
      CdoPrTextFromCode = "CdoPR_SENDER_NAME_W"
   Case CdoPR_SENDER_NAME_A:
      CdoPrTextFromCode = "CdoPR_SENDER_NAME_A"
   Case CdoPR_SUPPLEMENTARY_INFO:
      CdoPrTextFromCode = "CdoPR_SUPPLEMENTARY_INFO"
   Case CdoPR_SUPPLEMENTARY_INFO_W:
      CdoPrTextFromCode = "CdoPR_SUPPLEMENTARY_INFO_W"
   Case CdoPR_SUPPLEMENTARY_INFO_A:
      CdoPrTextFromCode = "CdoPR_SUPPLEMENTARY_INFO_A"
   Case CdoPR_TYPE_OF_MTS_USER:
      CdoPrTextFromCode = "CdoPR_TYPE_OF_MTS_USER"
   Case CdoPR_SENDER_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_SENDER_SEARCH_KEY"
   Case CdoPR_SENDER_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_SENDER_ADDRTYPE"
   Case CdoPR_SENDER_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_SENDER_ADDRTYPE_W"
   Case CdoPR_SENDER_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_SENDER_ADDRTYPE_A"
   Case CdoPR_SENDER_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_SENDER_EMAIL_ADDRESS"
   Case CdoPR_SENDER_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_SENDER_EMAIL_ADDRESS_W"
   Case CdoPR_SENDER_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_SENDER_EMAIL_ADDRESS_A"
   Case CdoPR_CURRENT_VERSION:
      CdoPrTextFromCode = "CdoPR_CURRENT_VERSION"
   Case CdoPR_DELETE_AFTER_SUBMIT:
      CdoPrTextFromCode = "CdoPR_DELETE_AFTER_SUBMIT"
   Case CdoPR_DISPLAY_BCC:
      CdoPrTextFromCode = "CdoPR_DISPLAY_BCC"
   Case CdoPR_DISPLAY_BCC_W:
      CdoPrTextFromCode = "CdoPR_DISPLAY_BCC_W"
   Case CdoPR_DISPLAY_BCC_A:
      CdoPrTextFromCode = "CdoPR_DISPLAY_BCC_A"
   Case CdoPR_DISPLAY_CC:
      CdoPrTextFromCode = "CdoPR_DISPLAY_CC"
   Case CdoPR_DISPLAY_CC_W:
      CdoPrTextFromCode = "CdoPR_DISPLAY_CC_W"
   Case CdoPR_DISPLAY_CC_A:
      CdoPrTextFromCode = "CdoPR_DISPLAY_CC_A"
   Case CdoPR_DISPLAY_TO:
      CdoPrTextFromCode = "CdoPR_DISPLAY_TO"
   Case CdoPR_DISPLAY_TO_W:
      CdoPrTextFromCode = "CdoPR_DISPLAY_TO_W"
   Case CdoPR_DISPLAY_TO_A:
      CdoPrTextFromCode = "CdoPR_DISPLAY_TO_A"
   Case CdoPR_PARENT_DISPLAY:
      CdoPrTextFromCode = "CdoPR_PARENT_DISPLAY"
   Case CdoPR_PARENT_DISPLAY_W:
      CdoPrTextFromCode = "CdoPR_PARENT_DISPLAY_W"
   Case CdoPR_PARENT_DISPLAY_A:
      CdoPrTextFromCode = "CdoPR_PARENT_DISPLAY_A"
   Case CdoPR_MESSAGE_DELIVERY_TIME:
      CdoPrTextFromCode = "CdoPR_MESSAGE_DELIVERY_TIME"
   Case CdoPR_MESSAGE_FLAGS:
      CdoPrTextFromCode = "CdoPR_MESSAGE_FLAGS"
   Case CdoPR_MESSAGE_SIZE:
      CdoPrTextFromCode = "CdoPR_MESSAGE_SIZE"
   Case CdoPR_PARENT_ENTRYID:
      CdoPrTextFromCode = "CdoPR_PARENT_ENTRYID"
   Case CdoPR_SENTMAIL_ENTRYID:
      CdoPrTextFromCode = "CdoPR_SENTMAIL_ENTRYID"
   Case CdoPR_CORRELATE:
      CdoPrTextFromCode = "CdoPR_CORRELATE"
   Case CdoPR_CORRELATE_MTSID:
      CdoPrTextFromCode = "CdoPR_CORRELATE_MTSID"
   Case CdoPR_DISCRETE_VALUES:
      CdoPrTextFromCode = "CdoPR_DISCRETE_VALUES"
   Case CdoPR_RESPONSIBILITY:
      CdoPrTextFromCode = "CdoPR_RESPONSIBILITY"
   Case CdoPR_SPOOLER_STATUS:
      CdoPrTextFromCode = "CdoPR_SPOOLER_STATUS"
   Case CdoPR_TRANSPORT_STATUS:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_STATUS"
   Case CdoPR_MESSAGE_RECIPIENTS:
      CdoPrTextFromCode = "CdoPR_MESSAGE_RECIPIENTS"
   Case CdoPR_MESSAGE_ATTACHMENTS:
      CdoPrTextFromCode = "CdoPR_MESSAGE_ATTACHMENTS"
   Case CdoPR_SUBMIT_FLAGS:
      CdoPrTextFromCode = "CdoPR_SUBMIT_FLAGS"
   Case CdoPR_RECIPIENT_STATUS:
      CdoPrTextFromCode = "CdoPR_RECIPIENT_STATUS"
   Case CdoPR_TRANSPORT_KEY:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_KEY"
   Case CdoPR_MSG_STATUS:
      CdoPrTextFromCode = "CdoPR_MSG_STATUS"
   Case CdoPR_MESSAGE_DOWNLOAD_TIME:
      CdoPrTextFromCode = "CdoPR_MESSAGE_DOWNLOAD_TIME"
   Case CdoPR_CREATION_VERSION:
      CdoPrTextFromCode = "CdoPR_CREATION_VERSION"
   Case CdoPR_MODIFY_VERSION:
      CdoPrTextFromCode = "CdoPR_MODIFY_VERSION"
   Case CdoPR_HASATTACH:
      CdoPrTextFromCode = "CdoPR_HASATTACH"
   Case CdoPR_BODY_CRC:
      CdoPrTextFromCode = "CdoPR_BODY_CRC"
   Case CdoPR_NORMALIZED_SUBJECT:
      CdoPrTextFromCode = "CdoPR_NORMALIZED_SUBJECT"
   Case CdoPR_NORMALIZED_SUBJECT_W:
      CdoPrTextFromCode = "CdoPR_NORMALIZED_SUBJECT_W"
   Case CdoPR_NORMALIZED_SUBJECT_A:
      CdoPrTextFromCode = "CdoPR_NORMALIZED_SUBJECT_A"
   Case CdoPR_RTF_IN_SYNC:
      CdoPrTextFromCode = "CdoPR_RTF_IN_SYNC"
   Case CdoPR_ATTACH_SIZE:
      CdoPrTextFromCode = "CdoPR_ATTACH_SIZE"
   Case CdoPR_ATTACH_NUM:
      CdoPrTextFromCode = "CdoPR_ATTACH_NUM"
   Case CdoPR_PREPROCESS:
      CdoPrTextFromCode = "CdoPR_PREPROCESS"
   Case CdoPR_INTERNET_ARTICLE_NUMBER:
      CdoPrTextFromCode = "CdoPR_INTERNET_ARTICLE_NUMBER"
   Case CdoPR_NEWSGROUP_NAME:
      CdoPrTextFromCode = "CdoPR_NEWSGROUP_NAME"
   Case CdoPR_NEWSGROUP_NAME_A:
      CdoPrTextFromCode = "CdoPR_NEWSGROUP_NAME_A"
   Case CdoPR_NEWSGROUP_NAME_W:
      CdoPrTextFromCode = "CdoPR_NEWSGROUP_NAME_W"
   Case CdoPR_ORIGINATING_MTA_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_ORIGINATING_MTA_CERTIFICATE"
   Case CdoPR_PROOF_OF_SUBMISSION:
      CdoPrTextFromCode = "CdoPR_PROOF_OF_SUBMISSION"
   Case CdoPR_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ENTRYID"
   Case CdoPR_OBJECT_TYPE:
      CdoPrTextFromCode = "CdoPR_OBJECT_TYPE"
   Case CdoPR_ICON:
      CdoPrTextFromCode = "CdoPR_ICON"
   Case CdoPR_MINI_ICON:
      CdoPrTextFromCode = "CdoPR_MINI_ICON"
   Case CdoPR_STORE_ENTRYID:
      CdoPrTextFromCode = "CdoPR_STORE_ENTRYID"
   Case CdoPR_STORE_RECORD_KEY:
      CdoPrTextFromCode = "CdoPR_STORE_RECORD_KEY"
   Case CdoPR_RECORD_KEY:
      CdoPrTextFromCode = "CdoPR_RECORD_KEY"
   Case CdoPR_MAPPING_SIGNATURE:
      CdoPrTextFromCode = "CdoPR_MAPPING_SIGNATURE"
   Case CdoPR_ACCESS_LEVEL:
      CdoPrTextFromCode = "CdoPR_ACCESS_LEVEL"
   Case CdoPR_INSTANCE_KEY:
      CdoPrTextFromCode = "CdoPR_INSTANCE_KEY"
   Case CdoPR_ROW_TYPE:
      CdoPrTextFromCode = "CdoPR_ROW_TYPE"
   Case CdoPR_ACCESS:
      CdoPrTextFromCode = "CdoPR_ACCESS"
   Case CdoPR_ROWID:
      CdoPrTextFromCode = "CdoPR_ROWID"
   Case CdoPR_DISPLAY_NAME:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME"
   Case CdoPR_DISPLAY_NAME_W:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME_W"
   Case CdoPR_DISPLAY_NAME_A:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME_A"
   Case CdoPR_ADDRTYPE:
      CdoPrTextFromCode = "CdoPR_ADDRTYPE"
   Case CdoPR_ADDRTYPE_W:
      CdoPrTextFromCode = "CdoPR_ADDRTYPE_W"
   Case CdoPR_ADDRTYPE_A:
      CdoPrTextFromCode = "CdoPR_ADDRTYPE_A"
   Case CdoPR_EMAIL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_EMAIL_ADDRESS"
   Case CdoPR_EMAIL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_EMAIL_ADDRESS_W"
   Case CdoPR_EMAIL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_EMAIL_ADDRESS_A"
   Case CdoPR_COMMENT:
      CdoPrTextFromCode = "CdoPR_COMMENT"
   Case CdoPR_COMMENT_W:
      CdoPrTextFromCode = "CdoPR_COMMENT_W"
   Case CdoPR_COMMENT_A:
      CdoPrTextFromCode = "CdoPR_COMMENT_A"
   Case CdoPR_DEPTH:
      CdoPrTextFromCode = "CdoPR_DEPTH"
   Case CdoPR_PROVIDER_DISPLAY:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DISPLAY"
   Case CdoPR_PROVIDER_DISPLAY_W:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DISPLAY_W"
   Case CdoPR_PROVIDER_DISPLAY_A:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DISPLAY_A"
   Case CdoPR_CREATION_TIME:
      CdoPrTextFromCode = "CdoPR_CREATION_TIME"
   Case CdoPR_LAST_MODIFICATION_TIME:
      CdoPrTextFromCode = "CdoPR_LAST_MODIFICATION_TIME"
   Case CdoPR_RESOURCE_FLAGS:
      CdoPrTextFromCode = "CdoPR_RESOURCE_FLAGS"
   Case CdoPR_PROVIDER_DLL_NAME:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DLL_NAME"
   Case CdoPR_PROVIDER_DLL_NAME_W:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DLL_NAME_W"
   Case CdoPR_PROVIDER_DLL_NAME_A:
      CdoPrTextFromCode = "CdoPR_PROVIDER_DLL_NAME_A"
   Case CdoPR_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_SEARCH_KEY"
   Case CdoPR_PROVIDER_UID:
      CdoPrTextFromCode = "CdoPR_PROVIDER_UID"
   Case CdoPR_PROVIDER_ORDINAL:
      CdoPrTextFromCode = "CdoPR_PROVIDER_ORDINAL"
   Case CdoPR_FORM_VERSION:
      CdoPrTextFromCode = "CdoPR_FORM_VERSION"
   Case CdoPR_FORM_VERSION_W:
      CdoPrTextFromCode = "CdoPR_FORM_VERSION_W"
   Case CdoPR_FORM_VERSION_A:
      CdoPrTextFromCode = "CdoPR_FORM_VERSION_A"
   Case CdoPR_FORM_CLSID:
      CdoPrTextFromCode = "CdoPR_FORM_CLSID"
   Case CdoPR_FORM_CONTACT_NAME:
      CdoPrTextFromCode = "CdoPR_FORM_CONTACT_NAME"
   Case CdoPR_FORM_CONTACT_NAME_W:
      CdoPrTextFromCode = "CdoPR_FORM_CONTACT_NAME_W"
   Case CdoPR_FORM_CONTACT_NAME_A:
      CdoPrTextFromCode = "CdoPR_FORM_CONTACT_NAME_A"
   Case CdoPR_FORM_CATEGORY:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY"
   Case CdoPR_FORM_CATEGORY_W:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY_W"
   Case CdoPR_FORM_CATEGORY_A:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY_A"
   Case CdoPR_FORM_CATEGORY_SUB:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY_SUB"
   Case CdoPR_FORM_CATEGORY_SUB_W:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY_SUB_W"
   Case CdoPR_FORM_CATEGORY_SUB_A:
      CdoPrTextFromCode = "CdoPR_FORM_CATEGORY_SUB_A"
   Case CdoPR_FORM_HOST_MAP:
      CdoPrTextFromCode = "CdoPR_FORM_HOST_MAP"
   Case CdoPR_FORM_HIDDEN:
      CdoPrTextFromCode = "CdoPR_FORM_HIDDEN"
   Case CdoPR_FORM_DESIGNER_NAME:
      CdoPrTextFromCode = "CdoPR_FORM_DESIGNER_NAME"
   Case CdoPR_FORM_DESIGNER_NAME_W:
      CdoPrTextFromCode = "CdoPR_FORM_DESIGNER_NAME_W"
   Case CdoPR_FORM_DESIGNER_NAME_A:
      CdoPrTextFromCode = "CdoPR_FORM_DESIGNER_NAME_A"
   Case CdoPR_FORM_DESIGNER_GUID:
      CdoPrTextFromCode = "CdoPR_FORM_DESIGNER_GUID"
   Case CdoPR_FORM_MESSAGE_BEHAVIOR:
      CdoPrTextFromCode = "CdoPR_FORM_MESSAGE_BEHAVIOR"
   Case CdoPR_DEFAULT_STORE:
      CdoPrTextFromCode = "CdoPR_DEFAULT_STORE"
   Case CdoPR_STORE_SUPPORT_MASK:
      CdoPrTextFromCode = "CdoPR_STORE_SUPPORT_MASK"
   Case CdoPR_STORE_STATE:
      CdoPrTextFromCode = "CdoPR_STORE_STATE"
   Case CdoPR_IPM_SUBTREE_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_IPM_SUBTREE_SEARCH_KEY"
   Case CdoPR_IPM_OUTBOX_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_IPM_OUTBOX_SEARCH_KEY"
   Case CdoPR_IPM_WASTEBASKET_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_IPM_WASTEBASKET_SEARCH_KEY"
   Case CdoPR_IPM_SENTMAIL_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_IPM_SENTMAIL_SEARCH_KEY"
   Case CdoPR_MDB_PROVIDER:
      CdoPrTextFromCode = "CdoPR_MDB_PROVIDER"
   Case CdoPR_RECEIVE_FOLDER_SETTINGS:
      CdoPrTextFromCode = "CdoPR_RECEIVE_FOLDER_SETTINGS"
   Case CdoPR_VALID_FOLDER_MASK:
      CdoPrTextFromCode = "CdoPR_VALID_FOLDER_MASK"
   Case CdoPR_IPM_SUBTREE_ENTRYID:
      CdoPrTextFromCode = "CdoPR_IPM_SUBTREE_ENTRYID"
   Case CdoPR_IPM_OUTBOX_ENTRYID:
      CdoPrTextFromCode = "CdoPR_IPM_OUTBOX_ENTRYID"
   Case CdoPR_IPM_WASTEBASKET_ENTRYID:
      CdoPrTextFromCode = "CdoPR_IPM_WASTEBASKET_ENTRYID"
   Case CdoPR_IPM_SENTMAIL_ENTRYID:
      CdoPrTextFromCode = "CdoPR_IPM_SENTMAIL_ENTRYID"
   Case CdoPR_VIEWS_ENTRYID:
      CdoPrTextFromCode = "CdoPR_VIEWS_ENTRYID"
   Case CdoPR_COMMON_VIEWS_ENTRYID:
      CdoPrTextFromCode = "CdoPR_COMMON_VIEWS_ENTRYID"
   Case CdoPR_FINDER_ENTRYID:
      CdoPrTextFromCode = "CdoPR_FINDER_ENTRYID"
   Case CdoPR_CONTAINER_FLAGS:
      CdoPrTextFromCode = "CdoPR_CONTAINER_FLAGS"
   Case CdoPR_FOLDER_TYPE:
      CdoPrTextFromCode = "CdoPR_FOLDER_TYPE"
   Case CdoPR_CONTENT_COUNT:
      CdoPrTextFromCode = "CdoPR_CONTENT_COUNT"
   Case CdoPR_CONTENT_UNREAD:
      CdoPrTextFromCode = "CdoPR_CONTENT_UNREAD"
   Case CdoPR_CREATE_TEMPLATES:
      CdoPrTextFromCode = "CdoPR_CREATE_TEMPLATES"
   Case CdoPR_DETAILS_TABLE:
      CdoPrTextFromCode = "CdoPR_DETAILS_TABLE"
   Case CdoPR_SEARCH:
      CdoPrTextFromCode = "CdoPR_SEARCH"
   Case CdoPR_SELECTABLE:
      CdoPrTextFromCode = "CdoPR_SELECTABLE"
   Case CdoPR_SUBFOLDERS:
      CdoPrTextFromCode = "CdoPR_SUBFOLDERS"
   Case CdoPR_STATUS:
      CdoPrTextFromCode = "CdoPR_STATUS"
   Case CdoPR_ANR:
      CdoPrTextFromCode = "CdoPR_ANR"
   Case CdoPR_ANR_W:
      CdoPrTextFromCode = "CdoPR_ANR_W"
   Case CdoPR_ANR_A:
      CdoPrTextFromCode = "CdoPR_ANR_A"
   Case CdoPR_CONTENTS_SORT_ORDER:
      CdoPrTextFromCode = "CdoPR_CONTENTS_SORT_ORDER"
   Case CdoPR_CONTAINER_HIERARCHY:
      CdoPrTextFromCode = "CdoPR_CONTAINER_HIERARCHY"
   Case CdoPR_CONTAINER_CONTENTS:
      CdoPrTextFromCode = "CdoPR_CONTAINER_CONTENTS"
   Case CdoPR_FOLDER_ASSOCIATED_CONTENTS:
      CdoPrTextFromCode = "CdoPR_FOLDER_ASSOCIATED_CONTENTS"
   Case CdoPR_DEF_CREATE_DL:
      CdoPrTextFromCode = "CdoPR_DEF_CREATE_DL"
   Case CdoPR_DEF_CREATE_MAILUSER:
      CdoPrTextFromCode = "CdoPR_DEF_CREATE_MAILUSER"
   Case CdoPR_CONTAINER_CLASS:
      CdoPrTextFromCode = "CdoPR_CONTAINER_CLASS"
   Case CdoPR_CONTAINER_CLASS_W:
      CdoPrTextFromCode = "CdoPR_CONTAINER_CLASS_W"
   Case CdoPR_CONTAINER_CLASS_A:
      CdoPrTextFromCode = "CdoPR_CONTAINER_CLASS_A"
   Case CdoPR_CONTAINER_MODIFY_VERSION:
      CdoPrTextFromCode = "CdoPR_CONTAINER_MODIFY_VERSION"
   Case CdoPR_AB_PROVIDER_ID:
      CdoPrTextFromCode = "CdoPR_AB_PROVIDER_ID"
   Case CdoPR_DEFAULT_VIEW_ENTRYID:
      CdoPrTextFromCode = "CdoPR_DEFAULT_VIEW_ENTRYID"
   Case CdoPR_ASSOC_CONTENT_COUNT:
      CdoPrTextFromCode = "CdoPR_ASSOC_CONTENT_COUNT"
   Case CdoPR_ATTACHMENT_X400_PARAMETERS:
      CdoPrTextFromCode = "CdoPR_ATTACHMENT_X400_PARAMETERS"
   Case CdoPR_ATTACH_DATA_OBJ:
      CdoPrTextFromCode = "CdoPR_ATTACH_DATA_OBJ"
   Case CdoPR_ATTACH_DATA_BIN:
      CdoPrTextFromCode = "CdoPR_ATTACH_DATA_BIN"
   Case CdoPR_ATTACH_ENCODING:
      CdoPrTextFromCode = "CdoPR_ATTACH_ENCODING"
   Case CdoPR_ATTACH_EXTENSION:
      CdoPrTextFromCode = "CdoPR_ATTACH_EXTENSION"
   Case CdoPR_ATTACH_EXTENSION_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_EXTENSION_W"
   Case CdoPR_ATTACH_EXTENSION_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_EXTENSION_A"
   Case CdoPR_ATTACH_FILENAME:
      CdoPrTextFromCode = "CdoPR_ATTACH_FILENAME"
   Case CdoPR_ATTACH_FILENAME_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_FILENAME_W"
   Case CdoPR_ATTACH_FILENAME_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_FILENAME_A"
   Case CdoPR_ATTACH_METHOD:
      CdoPrTextFromCode = "CdoPR_ATTACH_METHOD"
   Case CdoPR_ATTACH_LONG_FILENAME:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_FILENAME"
   Case CdoPR_ATTACH_LONG_FILENAME_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_FILENAME_W"
   Case CdoPR_ATTACH_LONG_FILENAME_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_FILENAME_A"
   Case CdoPR_ATTACH_PATHNAME:
      CdoPrTextFromCode = "CdoPR_ATTACH_PATHNAME"
   Case CdoPR_ATTACH_PATHNAME_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_PATHNAME_W"
   Case CdoPR_ATTACH_PATHNAME_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_PATHNAME_A"
   Case CdoPR_ATTACH_RENDERING:
      CdoPrTextFromCode = "CdoPR_ATTACH_RENDERING"
   Case CdoPR_ATTACH_TAG:
      CdoPrTextFromCode = "CdoPR_ATTACH_TAG"
   Case CdoPR_RENDERING_POSITION:
      CdoPrTextFromCode = "CdoPR_RENDERING_POSITION"
   Case CdoPR_ATTACH_TRANSPORT_NAME:
      CdoPrTextFromCode = "CdoPR_ATTACH_TRANSPORT_NAME"
   Case CdoPR_ATTACH_TRANSPORT_NAME_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_TRANSPORT_NAME_W"
   Case CdoPR_ATTACH_TRANSPORT_NAME_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_TRANSPORT_NAME_A"
   Case CdoPR_ATTACH_LONG_PATHNAME:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_PATHNAME"
   Case CdoPR_ATTACH_LONG_PATHNAME_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_PATHNAME_W"
   Case CdoPR_ATTACH_LONG_PATHNAME_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_LONG_PATHNAME_A"
   Case CdoPR_ATTACH_MIME_TAG:
      CdoPrTextFromCode = "CdoPR_ATTACH_MIME_TAG"
   Case CdoPR_ATTACH_MIME_TAG_W:
      CdoPrTextFromCode = "CdoPR_ATTACH_MIME_TAG_W"
   Case CdoPR_ATTACH_MIME_TAG_A:
      CdoPrTextFromCode = "CdoPR_ATTACH_MIME_TAG_A"
   Case CdoPR_ATTACH_ADDITIONAL_INFO:
      CdoPrTextFromCode = "CdoPR_ATTACH_ADDITIONAL_INFO"
   Case CdoPR_DISPLAY_TYPE:
      CdoPrTextFromCode = "CdoPR_DISPLAY_TYPE"
   Case CdoPR_TEMPLATEID:
      CdoPrTextFromCode = "CdoPR_TEMPLATEID"
   Case CdoPR_PRIMARY_CAPABILITY:
      CdoPrTextFromCode = "CdoPR_PRIMARY_CAPABILITY"
   Case CdoPR_7BIT_DISPLAY_NAME:
      CdoPrTextFromCode = "CdoPR_7BIT_DISPLAY_NAME"
   Case CdoPR_ACCOUNT:
      CdoPrTextFromCode = "CdoPR_ACCOUNT"
   Case CdoPR_ACCOUNT_W:
      CdoPrTextFromCode = "CdoPR_ACCOUNT_W"
   Case CdoPR_ACCOUNT_A:
      CdoPrTextFromCode = "CdoPR_ACCOUNT_A"
   Case CdoPR_ALTERNATE_RECIPIENT:
      CdoPrTextFromCode = "CdoPR_ALTERNATE_RECIPIENT"
   Case CdoPR_CALLBACK_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_CALLBACK_TELEPHONE_NUMBER"
   Case CdoPR_CALLBACK_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_CALLBACK_TELEPHONE_NUMBER_W"
   Case CdoPR_CALLBACK_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_CALLBACK_TELEPHONE_NUMBER_A"
   Case CdoPR_CONVERSION_PROHIBITED:
      CdoPrTextFromCode = "CdoPR_CONVERSION_PROHIBITED"
   Case CdoPR_DISCLOSE_RECIPIENTS:
      CdoPrTextFromCode = "CdoPR_DISCLOSE_RECIPIENTS"
   Case CdoPR_GENERATION:
      CdoPrTextFromCode = "CdoPR_GENERATION"
   Case CdoPR_GENERATION_W:
      CdoPrTextFromCode = "CdoPR_GENERATION_W"
   Case CdoPR_GENERATION_A:
      CdoPrTextFromCode = "CdoPR_GENERATION_A"
   Case CdoPR_GIVEN_NAME:
      CdoPrTextFromCode = "CdoPR_GIVEN_NAME"
   Case CdoPR_GIVEN_NAME_W:
      CdoPrTextFromCode = "CdoPR_GIVEN_NAME_W"
   Case CdoPR_GIVEN_NAME_A:
      CdoPrTextFromCode = "CdoPR_GIVEN_NAME_A"
   Case CdoPR_GOVERNMENT_ID_NUMBER:
      CdoPrTextFromCode = "CdoPR_GOVERNMENT_ID_NUMBER"
   Case CdoPR_GOVERNMENT_ID_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_GOVERNMENT_ID_NUMBER_W"
   Case CdoPR_GOVERNMENT_ID_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_GOVERNMENT_ID_NUMBER_A"
   Case CdoPR_BUSINESS_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_BUSINESS_TELEPHONE_NUMBER"
   Case CdoPR_BUSINESS_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_TELEPHONE_NUMBER_W"
   Case CdoPR_BUSINESS_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_TELEPHONE_NUMBER_A"
   Case CdoPR_OFFICE_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_OFFICE_TELEPHONE_NUMBER"
   Case CdoPR_OFFICE_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_OFFICE_TELEPHONE_NUMBER_W"
   Case CdoPR_OFFICE_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_OFFICE_TELEPHONE_NUMBER_A"
   Case CdoPR_HOME_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_HOME_TELEPHONE_NUMBER"
   Case CdoPR_HOME_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_HOME_TELEPHONE_NUMBER_W"
   Case CdoPR_HOME_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_HOME_TELEPHONE_NUMBER_A"
   Case CdoPR_INITIALS:
      CdoPrTextFromCode = "CdoPR_INITIALS"
   Case CdoPR_INITIALS_W:
      CdoPrTextFromCode = "CdoPR_INITIALS_W"
   Case CdoPR_INITIALS_A:
      CdoPrTextFromCode = "CdoPR_INITIALS_A"
   Case CdoPR_KEYWORD:
      CdoPrTextFromCode = "CdoPR_KEYWORD"
   Case CdoPR_KEYWORD_W:
      CdoPrTextFromCode = "CdoPR_KEYWORD_W"
   Case CdoPR_KEYWORD_A:
      CdoPrTextFromCode = "CdoPR_KEYWORD_A"
   Case CdoPR_LANGUAGE:
      CdoPrTextFromCode = "CdoPR_LANGUAGE"
   Case CdoPR_LANGUAGE_W:
      CdoPrTextFromCode = "CdoPR_LANGUAGE_W"
   Case CdoPR_LANGUAGE_A:
      CdoPrTextFromCode = "CdoPR_LANGUAGE_A"
   Case CdoPR_LOCATION:
      CdoPrTextFromCode = "CdoPR_LOCATION"
   Case CdoPR_LOCATION_W:
      CdoPrTextFromCode = "CdoPR_LOCATION_W"
   Case CdoPR_LOCATION_A:
      CdoPrTextFromCode = "CdoPR_LOCATION_A"
   Case CdoPR_MAIL_PERMISSION:
      CdoPrTextFromCode = "CdoPR_MAIL_PERMISSION"
   Case CdoPR_MHS_COMMON_NAME:
      CdoPrTextFromCode = "CdoPR_MHS_COMMON_NAME"
   Case CdoPR_MHS_COMMON_NAME_W:
      CdoPrTextFromCode = "CdoPR_MHS_COMMON_NAME_W"
   Case CdoPR_MHS_COMMON_NAME_A:
      CdoPrTextFromCode = "CdoPR_MHS_COMMON_NAME_A"
   Case CdoPR_ORGANIZATIONAL_ID_NUMBER:
      CdoPrTextFromCode = "CdoPR_ORGANIZATIONAL_ID_NUMBER"
   Case CdoPR_ORGANIZATIONAL_ID_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_ORGANIZATIONAL_ID_NUMBER_W"
   Case CdoPR_ORGANIZATIONAL_ID_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_ORGANIZATIONAL_ID_NUMBER_A"
   Case CdoPR_SURNAME:
      CdoPrTextFromCode = "CdoPR_SURNAME"
   Case CdoPR_SURNAME_W:
      CdoPrTextFromCode = "CdoPR_SURNAME_W"
   Case CdoPR_SURNAME_A:
      CdoPrTextFromCode = "CdoPR_SURNAME_A"
   Case CdoPR_ORIGINAL_ENTRYID:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_ENTRYID"
   Case CdoPR_ORIGINAL_DISPLAY_NAME:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_NAME"
   Case CdoPR_ORIGINAL_DISPLAY_NAME_W:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_NAME_W"
   Case CdoPR_ORIGINAL_DISPLAY_NAME_A:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_DISPLAY_NAME_A"
   Case CdoPR_ORIGINAL_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_ORIGINAL_SEARCH_KEY"
   Case CdoPR_POSTAL_ADDRESS:
      CdoPrTextFromCode = "CdoPR_POSTAL_ADDRESS"
   Case CdoPR_POSTAL_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_POSTAL_ADDRESS_W"
   Case CdoPR_POSTAL_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_POSTAL_ADDRESS_A"
   Case CdoPR_COMPANY_NAME:
      CdoPrTextFromCode = "CdoPR_COMPANY_NAME"
   Case CdoPR_COMPANY_NAME_W:
      CdoPrTextFromCode = "CdoPR_COMPANY_NAME_W"
   Case CdoPR_COMPANY_NAME_A:
      CdoPrTextFromCode = "CdoPR_COMPANY_NAME_A"
   Case CdoPR_TITLE:
      CdoPrTextFromCode = "CdoPR_TITLE"
   Case CdoPR_TITLE_W:
      CdoPrTextFromCode = "CdoPR_TITLE_W"
   Case CdoPR_TITLE_A:
      CdoPrTextFromCode = "CdoPR_TITLE_A"
   Case CdoPR_DEPARTMENT_NAME:
      CdoPrTextFromCode = "CdoPR_DEPARTMENT_NAME"
   Case CdoPR_DEPARTMENT_NAME_W:
      CdoPrTextFromCode = "CdoPR_DEPARTMENT_NAME_W"
   Case CdoPR_DEPARTMENT_NAME_A:
      CdoPrTextFromCode = "CdoPR_DEPARTMENT_NAME_A"
   Case CdoPR_OFFICE_LOCATION:
      CdoPrTextFromCode = "CdoPR_OFFICE_LOCATION"
   Case CdoPR_OFFICE_LOCATION_W:
      CdoPrTextFromCode = "CdoPR_OFFICE_LOCATION_W"
   Case CdoPR_OFFICE_LOCATION_A:
      CdoPrTextFromCode = "CdoPR_OFFICE_LOCATION_A"
   Case CdoPR_PRIMARY_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_PRIMARY_TELEPHONE_NUMBER"
   Case CdoPR_PRIMARY_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_PRIMARY_TELEPHONE_NUMBER_W"
   Case CdoPR_PRIMARY_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_PRIMARY_TELEPHONE_NUMBER_A"
   Case CdoPR_BUSINESS2_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_BUSINESS2_TELEPHONE_NUMBER"
   Case CdoPR_BUSINESS2_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS2_TELEPHONE_NUMBER_W"
   Case CdoPR_BUSINESS2_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS2_TELEPHONE_NUMBER_A"
   Case CdoPR_OFFICE2_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_OFFICE2_TELEPHONE_NUMBER"
   Case CdoPR_OFFICE2_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_OFFICE2_TELEPHONE_NUMBER_W"
   Case CdoPR_OFFICE2_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_OFFICE2_TELEPHONE_NUMBER_A"
   Case CdoPR_MOBILE_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_MOBILE_TELEPHONE_NUMBER"
   Case CdoPR_MOBILE_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_MOBILE_TELEPHONE_NUMBER_W"
   Case CdoPR_MOBILE_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_MOBILE_TELEPHONE_NUMBER_A"
   Case CdoPR_CELLULAR_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_CELLULAR_TELEPHONE_NUMBER"
   Case CdoPR_CELLULAR_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_CELLULAR_TELEPHONE_NUMBER_W"
   Case CdoPR_CELLULAR_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_CELLULAR_TELEPHONE_NUMBER_A"
   Case CdoPR_RADIO_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_RADIO_TELEPHONE_NUMBER"
   Case CdoPR_RADIO_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_RADIO_TELEPHONE_NUMBER_W"
   Case CdoPR_RADIO_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_RADIO_TELEPHONE_NUMBER_A"
   Case CdoPR_CAR_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_CAR_TELEPHONE_NUMBER"
   Case CdoPR_CAR_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_CAR_TELEPHONE_NUMBER_W"
   Case CdoPR_CAR_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_CAR_TELEPHONE_NUMBER_A"
   Case CdoPR_OTHER_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_OTHER_TELEPHONE_NUMBER"
   Case CdoPR_OTHER_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_OTHER_TELEPHONE_NUMBER_W"
   Case CdoPR_OTHER_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_OTHER_TELEPHONE_NUMBER_A"
   Case CdoPR_TRANSMITABLE_DISPLAY_NAME:
      CdoPrTextFromCode = "CdoPR_TRANSMITABLE_DISPLAY_NAME"
   Case CdoPR_TRANSMITABLE_DISPLAY_NAME_W:
      CdoPrTextFromCode = "CdoPR_TRANSMITABLE_DISPLAY_NAME_W"
   Case CdoPR_TRANSMITABLE_DISPLAY_NAME_A:
      CdoPrTextFromCode = "CdoPR_TRANSMITABLE_DISPLAY_NAME_A"
   Case CdoPR_PAGER_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_PAGER_TELEPHONE_NUMBER"
   Case CdoPR_PAGER_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_PAGER_TELEPHONE_NUMBER_W"
   Case CdoPR_PAGER_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_PAGER_TELEPHONE_NUMBER_A"
   Case CdoPR_BEEPER_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_BEEPER_TELEPHONE_NUMBER"
   Case CdoPR_BEEPER_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_BEEPER_TELEPHONE_NUMBER_W"
   Case CdoPR_BEEPER_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_BEEPER_TELEPHONE_NUMBER_A"
   Case CdoPR_USER_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_USER_CERTIFICATE"
   Case CdoPR_PRIMARY_FAX_NUMBER:
      CdoPrTextFromCode = "CdoPR_PRIMARY_FAX_NUMBER"
   Case CdoPR_PRIMARY_FAX_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_PRIMARY_FAX_NUMBER_W"
   Case CdoPR_PRIMARY_FAX_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_PRIMARY_FAX_NUMBER_A"
   Case CdoPR_BUSINESS_FAX_NUMBER:
      CdoPrTextFromCode = "CdoPR_BUSINESS_FAX_NUMBER"
   Case CdoPR_BUSINESS_FAX_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_FAX_NUMBER_W"
   Case CdoPR_BUSINESS_FAX_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_FAX_NUMBER_A"
   Case CdoPR_HOME_FAX_NUMBER:
      CdoPrTextFromCode = "CdoPR_HOME_FAX_NUMBER"
   Case CdoPR_HOME_FAX_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_HOME_FAX_NUMBER_W"
   Case CdoPR_HOME_FAX_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_HOME_FAX_NUMBER_A"
   Case CdoPR_COUNTRY:
      CdoPrTextFromCode = "CdoPR_COUNTRY"
   Case CdoPR_COUNTRY_W:
      CdoPrTextFromCode = "CdoPR_COUNTRY_W"
   Case CdoPR_COUNTRY_A:
      CdoPrTextFromCode = "CdoPR_COUNTRY_A"
   Case CdoPR_BUSINESS_ADDRESS_COUNTRY:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_COUNTRY"
   Case CdoPR_BUSINESS_ADDRESS_COUNTRY_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_COUNTRY_W"
   Case CdoPR_BUSINESS_ADDRESS_COUNTRY_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_COUNTRY_A"
   Case CdoPR_LOCALITY:
      CdoPrTextFromCode = "CdoPR_LOCALITY"
   Case CdoPR_LOCALITY_W:
      CdoPrTextFromCode = "CdoPR_LOCALITY_W"
   Case CdoPR_LOCALITY_A:
      CdoPrTextFromCode = "CdoPR_LOCALITY_A"
   Case CdoPR_BUSINESS_ADDRESS_CITY:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_CITY"
   Case CdoPR_BUSINESS_ADDRESS_CITY_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_CITY_W"
   Case CdoPR_BUSINESS_ADDRESS_CITY_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_CITY_A"
   Case CdoPR_STATE_OR_PROVINCE:
      CdoPrTextFromCode = "CdoPR_STATE_OR_PROVINCE"
   Case CdoPR_STATE_OR_PROVINCE_W:
      CdoPrTextFromCode = "CdoPR_STATE_OR_PROVINCE_W"
   Case CdoPR_STATE_OR_PROVINCE_A:
      CdoPrTextFromCode = "CdoPR_STATE_OR_PROVINCE_A"
   Case CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE"
   Case CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE_W"
   Case CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STATE_OR_PROVINCE_A"
   Case CdoPR_STREET_ADDRESS:
      CdoPrTextFromCode = "CdoPR_STREET_ADDRESS"
   Case CdoPR_STREET_ADDRESS_W:
      CdoPrTextFromCode = "CdoPR_STREET_ADDRESS_W"
   Case CdoPR_STREET_ADDRESS_A:
      CdoPrTextFromCode = "CdoPR_STREET_ADDRESS_A"
   Case CdoPR_BUSINESS_ADDRESS_STREET:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STREET"
   Case CdoPR_BUSINESS_ADDRESS_STREET_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STREET_W"
   Case CdoPR_BUSINESS_ADDRESS_STREET_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_STREET_A"
   Case CdoPR_POSTAL_CODE:
      CdoPrTextFromCode = "CdoPR_POSTAL_CODE"
   Case CdoPR_POSTAL_CODE_W:
      CdoPrTextFromCode = "CdoPR_POSTAL_CODE_W"
   Case CdoPR_POSTAL_CODE_A:
      CdoPrTextFromCode = "CdoPR_POSTAL_CODE_A"
   Case CdoPR_BUSINESS_ADDRESS_POSTAL_CODE:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POSTAL_CODE"
   Case CdoPR_BUSINESS_ADDRESS_POSTAL_CODE_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POSTAL_CODE_W"
   Case CdoPR_BUSINESS_ADDRESS_POSTAL_CODE_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POSTAL_CODE_A"
   Case CdoPR_POST_OFFICE_BOX:
      CdoPrTextFromCode = "CdoPR_POST_OFFICE_BOX"
   Case CdoPR_POST_OFFICE_BOX_W:
      CdoPrTextFromCode = "CdoPR_POST_OFFICE_BOX_W"
   Case CdoPR_POST_OFFICE_BOX_A:
      CdoPrTextFromCode = "CdoPR_POST_OFFICE_BOX_A"
   Case CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX"
   Case CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX_W"
   Case CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_ADDRESS_POST_OFFICE_BOX_A"
   Case CdoPR_TELEX_NUMBER:
      CdoPrTextFromCode = "CdoPR_TELEX_NUMBER"
   Case CdoPR_TELEX_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_TELEX_NUMBER_W"
   Case CdoPR_TELEX_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_TELEX_NUMBER_A"
   Case CdoPR_ISDN_NUMBER:
      CdoPrTextFromCode = "CdoPR_ISDN_NUMBER"
   Case CdoPR_ISDN_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_ISDN_NUMBER_W"
   Case CdoPR_ISDN_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_ISDN_NUMBER_A"
   Case CdoPR_ASSISTANT_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_ASSISTANT_TELEPHONE_NUMBER"
   Case CdoPR_ASSISTANT_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_ASSISTANT_TELEPHONE_NUMBER_W"
   Case CdoPR_ASSISTANT_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_ASSISTANT_TELEPHONE_NUMBER_A"
   Case CdoPR_HOME2_TELEPHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_HOME2_TELEPHONE_NUMBER"
   Case CdoPR_HOME2_TELEPHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_HOME2_TELEPHONE_NUMBER_W"
   Case CdoPR_HOME2_TELEPHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_HOME2_TELEPHONE_NUMBER_A"
   Case CdoPR_ASSISTANT:
      CdoPrTextFromCode = "CdoPR_ASSISTANT"
   Case CdoPR_ASSISTANT_W:
      CdoPrTextFromCode = "CdoPR_ASSISTANT_W"
   Case CdoPR_ASSISTANT_A:
      CdoPrTextFromCode = "CdoPR_ASSISTANT_A"
   Case CdoPR_SEND_RICH_INFO:
      CdoPrTextFromCode = "CdoPR_SEND_RICH_INFO"
   Case CdoPR_WEDDING_ANNIVERSARY:
      CdoPrTextFromCode = "CdoPR_WEDDING_ANNIVERSARY"
   Case CdoPR_BIRTHDAY:
      CdoPrTextFromCode = "CdoPR_BIRTHDAY"
   Case CdoPR_HOBBIES:
      CdoPrTextFromCode = "CdoPR_HOBBIES"
   Case CdoPR_HOBBIES_W:
      CdoPrTextFromCode = "CdoPR_HOBBIES_W"
   Case CdoPR_HOBBIES_A:
      CdoPrTextFromCode = "CdoPR_HOBBIES_A"
   Case CdoPR_MIDDLE_NAME:
      CdoPrTextFromCode = "CdoPR_MIDDLE_NAME"
   Case CdoPR_MIDDLE_NAME_W:
      CdoPrTextFromCode = "CdoPR_MIDDLE_NAME_W"
   Case CdoPR_MIDDLE_NAME_A:
      CdoPrTextFromCode = "CdoPR_MIDDLE_NAME_A"
   Case CdoPR_DISPLAY_NAME_PREFIX:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME_PREFIX"
   Case CdoPR_DISPLAY_NAME_PREFIX_W:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME_PREFIX_W"
   Case CdoPR_DISPLAY_NAME_PREFIX_A:
      CdoPrTextFromCode = "CdoPR_DISPLAY_NAME_PREFIX_A"
   Case CdoPR_PROFESSION:
      CdoPrTextFromCode = "CdoPR_PROFESSION"
   Case CdoPR_PROFESSION_W:
      CdoPrTextFromCode = "CdoPR_PROFESSION_W"
   Case CdoPR_PROFESSION_A:
      CdoPrTextFromCode = "CdoPR_PROFESSION_A"
   Case CdoPR_PREFERRED_BY_NAME:
      CdoPrTextFromCode = "CdoPR_PREFERRED_BY_NAME"
   Case CdoPR_PREFERRED_BY_NAME_W:
      CdoPrTextFromCode = "CdoPR_PREFERRED_BY_NAME_W"
   Case CdoPR_PREFERRED_BY_NAME_A:
      CdoPrTextFromCode = "CdoPR_PREFERRED_BY_NAME_A"
   Case CdoPR_SPOUSE_NAME:
      CdoPrTextFromCode = "CdoPR_SPOUSE_NAME"
   Case CdoPR_SPOUSE_NAME_W:
      CdoPrTextFromCode = "CdoPR_SPOUSE_NAME_W"
   Case CdoPR_SPOUSE_NAME_A:
      CdoPrTextFromCode = "CdoPR_SPOUSE_NAME_A"
   Case CdoPR_COMPUTER_NETWORK_NAME:
      CdoPrTextFromCode = "CdoPR_COMPUTER_NETWORK_NAME"
   Case CdoPR_COMPUTER_NETWORK_NAME_W:
      CdoPrTextFromCode = "CdoPR_COMPUTER_NETWORK_NAME_W"
   Case CdoPR_COMPUTER_NETWORK_NAME_A:
      CdoPrTextFromCode = "CdoPR_COMPUTER_NETWORK_NAME_A"
   Case CdoPR_CUSTOMER_ID:
      CdoPrTextFromCode = "CdoPR_CUSTOMER_ID"
   Case CdoPR_CUSTOMER_ID_W:
      CdoPrTextFromCode = "CdoPR_CUSTOMER_ID_W"
   Case CdoPR_CUSTOMER_ID_A:
      CdoPrTextFromCode = "CdoPR_CUSTOMER_ID_A"
   Case CdoPR_TTYTDD_PHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_TTYTDD_PHONE_NUMBER"
   Case CdoPR_TTYTDD_PHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_TTYTDD_PHONE_NUMBER_W"
   Case CdoPR_TTYTDD_PHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_TTYTDD_PHONE_NUMBER_A"
   Case CdoPR_FTP_SITE:
      CdoPrTextFromCode = "CdoPR_FTP_SITE"
   Case CdoPR_FTP_SITE_W:
      CdoPrTextFromCode = "CdoPR_FTP_SITE_W"
   Case CdoPR_FTP_SITE_A:
      CdoPrTextFromCode = "CdoPR_FTP_SITE_A"
   Case CdoPR_GENDER:
      CdoPrTextFromCode = "CdoPR_GENDER"
   Case CdoPR_MANAGER_NAME:
      CdoPrTextFromCode = "CdoPR_MANAGER_NAME"
   Case CdoPR_MANAGER_NAME_W:
      CdoPrTextFromCode = "CdoPR_MANAGER_NAME_W"
   Case CdoPR_MANAGER_NAME_A:
      CdoPrTextFromCode = "CdoPR_MANAGER_NAME_A"
   Case CdoPR_NICKNAME:
      CdoPrTextFromCode = "CdoPR_NICKNAME"
   Case CdoPR_NICKNAME_W:
      CdoPrTextFromCode = "CdoPR_NICKNAME_W"
   Case CdoPR_NICKNAME_A:
      CdoPrTextFromCode = "CdoPR_NICKNAME_A"
   Case CdoPR_PERSONAL_HOME_PAGE:
      CdoPrTextFromCode = "CdoPR_PERSONAL_HOME_PAGE"
   Case CdoPR_PERSONAL_HOME_PAGE_W:
      CdoPrTextFromCode = "CdoPR_PERSONAL_HOME_PAGE_W"
   Case CdoPR_PERSONAL_HOME_PAGE_A:
      CdoPrTextFromCode = "CdoPR_PERSONAL_HOME_PAGE_A"
   Case CdoPR_BUSINESS_HOME_PAGE:
      CdoPrTextFromCode = "CdoPR_BUSINESS_HOME_PAGE"
   Case CdoPR_BUSINESS_HOME_PAGE_W:
      CdoPrTextFromCode = "CdoPR_BUSINESS_HOME_PAGE_W"
   Case CdoPR_BUSINESS_HOME_PAGE_A:
      CdoPrTextFromCode = "CdoPR_BUSINESS_HOME_PAGE_A"
   Case CdoPR_CONTACT_VERSION:
      CdoPrTextFromCode = "CdoPR_CONTACT_VERSION"
   Case CdoPR_CONTACT_ENTRYIDS:
      CdoPrTextFromCode = "CdoPR_CONTACT_ENTRYIDS"
   Case CdoPR_CONTACT_ADDRTYPES:
      CdoPrTextFromCode = "CdoPR_CONTACT_ADDRTYPES"
   Case CdoPR_CONTACT_ADDRTYPES_W:
      CdoPrTextFromCode = "CdoPR_CONTACT_ADDRTYPES_W"
   Case CdoPR_CONTACT_ADDRTYPES_A:
      CdoPrTextFromCode = "CdoPR_CONTACT_ADDRTYPES_A"
   Case CdoPR_CONTACT_DEFAULT_ADDRESS_INDEX:
      CdoPrTextFromCode = "CdoPR_CONTACT_DEFAULT_ADDRESS_INDEX"
   Case CdoPR_CONTACT_EMAIL_ADDRESSES:
      CdoPrTextFromCode = "CdoPR_CONTACT_EMAIL_ADDRESSES"
   Case CdoPR_CONTACT_EMAIL_ADDRESSES_W:
      CdoPrTextFromCode = "CdoPR_CONTACT_EMAIL_ADDRESSES_W"
   Case CdoPR_CONTACT_EMAIL_ADDRESSES_A:
      CdoPrTextFromCode = "CdoPR_CONTACT_EMAIL_ADDRESSES_A"
   Case CdoPR_COMPANY_MAIN_PHONE_NUMBER:
      CdoPrTextFromCode = "CdoPR_COMPANY_MAIN_PHONE_NUMBER"
   Case CdoPR_COMPANY_MAIN_PHONE_NUMBER_W:
      CdoPrTextFromCode = "CdoPR_COMPANY_MAIN_PHONE_NUMBER_W"
   Case CdoPR_COMPANY_MAIN_PHONE_NUMBER_A:
      CdoPrTextFromCode = "CdoPR_COMPANY_MAIN_PHONE_NUMBER_A"
   Case CdoPR_CHILDRENS_NAMES:
      CdoPrTextFromCode = "CdoPR_CHILDRENS_NAMES"
   Case CdoPR_CHILDRENS_NAMES_W:
      CdoPrTextFromCode = "CdoPR_CHILDRENS_NAMES_W"
   Case CdoPR_CHILDRENS_NAMES_A:
      CdoPrTextFromCode = "CdoPR_CHILDRENS_NAMES_A"
   Case CdoPR_HOME_ADDRESS_CITY:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_CITY"
   Case CdoPR_HOME_ADDRESS_CITY_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_CITY_W"
   Case CdoPR_HOME_ADDRESS_CITY_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_CITY_A"
   Case CdoPR_HOME_ADDRESS_COUNTRY:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_COUNTRY"
   Case CdoPR_HOME_ADDRESS_COUNTRY_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_COUNTRY_W"
   Case CdoPR_HOME_ADDRESS_COUNTRY_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_COUNTRY_A"
   Case CdoPR_HOME_ADDRESS_POSTAL_CODE:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POSTAL_CODE"
   Case CdoPR_HOME_ADDRESS_POSTAL_CODE_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POSTAL_CODE_W"
   Case CdoPR_HOME_ADDRESS_POSTAL_CODE_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POSTAL_CODE_A"
   Case CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE"
   Case CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE_W"
   Case CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STATE_OR_PROVINCE_A"
   Case CdoPR_HOME_ADDRESS_STREET:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STREET"
   Case CdoPR_HOME_ADDRESS_STREET_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STREET_W"
   Case CdoPR_HOME_ADDRESS_STREET_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_STREET_A"
   Case CdoPR_HOME_ADDRESS_POST_OFFICE_BOX:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POST_OFFICE_BOX"
   Case CdoPR_HOME_ADDRESS_POST_OFFICE_BOX_W:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POST_OFFICE_BOX_W"
   Case CdoPR_HOME_ADDRESS_POST_OFFICE_BOX_A:
      CdoPrTextFromCode = "CdoPR_HOME_ADDRESS_POST_OFFICE_BOX_A"
   Case CdoPR_OTHER_ADDRESS_CITY:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_CITY"
   Case CdoPR_OTHER_ADDRESS_CITY_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_CITY_W"
   Case CdoPR_OTHER_ADDRESS_CITY_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_CITY_A"
   Case CdoPR_OTHER_ADDRESS_COUNTRY:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_COUNTRY"
   Case CdoPR_OTHER_ADDRESS_COUNTRY_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_COUNTRY_W"
   Case CdoPR_OTHER_ADDRESS_COUNTRY_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_COUNTRY_A"
   Case CdoPR_OTHER_ADDRESS_POSTAL_CODE:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POSTAL_CODE"
   Case CdoPR_OTHER_ADDRESS_POSTAL_CODE_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POSTAL_CODE_W"
   Case CdoPR_OTHER_ADDRESS_POSTAL_CODE_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POSTAL_CODE_A"
   Case CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE"
   Case CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE_W"
   Case CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STATE_OR_PROVINCE_A"
   Case CdoPR_OTHER_ADDRESS_STREET:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STREET"
   Case CdoPR_OTHER_ADDRESS_STREET_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STREET_W"
   Case CdoPR_OTHER_ADDRESS_STREET_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_STREET_A"
   Case CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX"
   Case CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX_W:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX_W"
   Case CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX_A:
      CdoPrTextFromCode = "CdoPR_OTHER_ADDRESS_POST_OFFICE_BOX_A"
   Case CdoPR_USER_X509_CERTIFICATE:
      CdoPrTextFromCode = "CdoPR_USER_X509_CERTIFICATE"
   Case CdoPR_STORE_PROVIDERS:
      CdoPrTextFromCode = "CdoPR_STORE_PROVIDERS"
   Case CdoPR_AB_PROVIDERS:
      CdoPrTextFromCode = "CdoPR_AB_PROVIDERS"
   Case CdoPR_TRANSPORT_PROVIDERS:
      CdoPrTextFromCode = "CdoPR_TRANSPORT_PROVIDERS"
   Case CdoPR_DEFAULT_PROFILE:
      CdoPrTextFromCode = "CdoPR_DEFAULT_PROFILE"
   Case CdoPR_AB_SEARCH_PATH:
      CdoPrTextFromCode = "CdoPR_AB_SEARCH_PATH"
   Case CdoPR_AB_DEFAULT_DIR:
      CdoPrTextFromCode = "CdoPR_AB_DEFAULT_DIR"
   Case CdoPR_AB_DEFAULT_PAB:
      CdoPrTextFromCode = "CdoPR_AB_DEFAULT_PAB"
   Case CdoPR_FILTERING_HOOKS:
      CdoPrTextFromCode = "CdoPR_FILTERING_HOOKS"
   Case CdoPR_SERVICE_NAME:
      CdoPrTextFromCode = "CdoPR_SERVICE_NAME"
   Case CdoPR_SERVICE_NAME_W:
      CdoPrTextFromCode = "CdoPR_SERVICE_NAME_W"
   Case CdoPR_SERVICE_NAME_A:
      CdoPrTextFromCode = "CdoPR_SERVICE_NAME_A"
   Case CdoPR_SERVICE_DLL_NAME:
      CdoPrTextFromCode = "CdoPR_SERVICE_DLL_NAME"
   Case CdoPR_SERVICE_DLL_NAME_W:
      CdoPrTextFromCode = "CdoPR_SERVICE_DLL_NAME_W"
   Case CdoPR_SERVICE_DLL_NAME_A:
      CdoPrTextFromCode = "CdoPR_SERVICE_DLL_NAME_A"
   Case CdoPR_SERVICE_ENTRY_NAME:
      CdoPrTextFromCode = "CdoPR_SERVICE_ENTRY_NAME"
   Case CdoPR_SERVICE_UID:
      CdoPrTextFromCode = "CdoPR_SERVICE_UID"
   Case CdoPR_SERVICE_EXTRA_UIDS:
      CdoPrTextFromCode = "CdoPR_SERVICE_EXTRA_UIDS"
   Case CdoPR_SERVICES:
      CdoPrTextFromCode = "CdoPR_SERVICES"
   Case CdoPR_SERVICE_SUPPORT_FILES:
      CdoPrTextFromCode = "CdoPR_SERVICE_SUPPORT_FILES"
   Case CdoPR_SERVICE_SUPPORT_FILES_W:
      CdoPrTextFromCode = "CdoPR_SERVICE_SUPPORT_FILES_W"
   Case CdoPR_SERVICE_SUPPORT_FILES_A:
      CdoPrTextFromCode = "CdoPR_SERVICE_SUPPORT_FILES_A"
   Case CdoPR_SERVICE_DELETE_FILES:
      CdoPrTextFromCode = "CdoPR_SERVICE_DELETE_FILES"
   Case CdoPR_SERVICE_DELETE_FILES_W:
      CdoPrTextFromCode = "CdoPR_SERVICE_DELETE_FILES_W"
   Case CdoPR_SERVICE_DELETE_FILES_A:
      CdoPrTextFromCode = "CdoPR_SERVICE_DELETE_FILES_A"
   Case CdoPR_AB_SEARCH_PATH_UPDATE:
      CdoPrTextFromCode = "CdoPR_AB_SEARCH_PATH_UPDATE"
   Case CdoPR_PROFILE_NAME:
      CdoPrTextFromCode = "CdoPR_PROFILE_NAME"
   Case CdoPR_PROFILE_NAME_A:
      CdoPrTextFromCode = "CdoPR_PROFILE_NAME_A"
   Case CdoPR_PROFILE_NAME_W:
      CdoPrTextFromCode = "CdoPR_PROFILE_NAME_W"
   Case CdoPR_IDENTITY_DISPLAY:
      CdoPrTextFromCode = "CdoPR_IDENTITY_DISPLAY"
   Case CdoPR_IDENTITY_DISPLAY_W:
      CdoPrTextFromCode = "CdoPR_IDENTITY_DISPLAY_W"
   Case CdoPR_IDENTITY_DISPLAY_A:
      CdoPrTextFromCode = "CdoPR_IDENTITY_DISPLAY_A"
   Case CdoPR_IDENTITY_ENTRYID:
      CdoPrTextFromCode = "CdoPR_IDENTITY_ENTRYID"
   Case CdoPR_RESOURCE_METHODS:
      CdoPrTextFromCode = "CdoPR_RESOURCE_METHODS"
   Case CdoPR_RESOURCE_TYPE:
      CdoPrTextFromCode = "CdoPR_RESOURCE_TYPE"
   Case CdoPR_STATUS_CODE:
      CdoPrTextFromCode = "CdoPR_STATUS_CODE"
   Case CdoPR_IDENTITY_SEARCH_KEY:
      CdoPrTextFromCode = "CdoPR_IDENTITY_SEARCH_KEY"
   Case CdoPR_OWN_STORE_ENTRYID:
      CdoPrTextFromCode = "CdoPR_OWN_STORE_ENTRYID"
   Case CdoPR_RESOURCE_PATH:
      CdoPrTextFromCode = "CdoPR_RESOURCE_PATH"
   Case CdoPR_RESOURCE_PATH_W:
      CdoPrTextFromCode = "CdoPR_RESOURCE_PATH_W"
   Case CdoPR_RESOURCE_PATH_A:
      CdoPrTextFromCode = "CdoPR_RESOURCE_PATH_A"
   Case CdoPR_STATUS_STRING:
      CdoPrTextFromCode = "CdoPR_STATUS_STRING"
   Case CdoPR_STATUS_STRING_W:
      CdoPrTextFromCode = "CdoPR_STATUS_STRING_W"
   Case CdoPR_STATUS_STRING_A:
      CdoPrTextFromCode = "CdoPR_STATUS_STRING_A"
   Case CdoPR_X400_DEFERRED_DELIVERY_CANCEL:
      CdoPrTextFromCode = "CdoPR_X400_DEFERRED_DELIVERY_CANCEL"
   Case CdoPR_HEADER_FOLDER_ENTRYID:
      CdoPrTextFromCode = "CdoPR_HEADER_FOLDER_ENTRYID"
   Case CdoPR_REMOTE_PROGRESS:
      CdoPrTextFromCode = "CdoPR_REMOTE_PROGRESS"
   Case CdoPR_REMOTE_PROGRESS_TEXT:
      CdoPrTextFromCode = "CdoPR_REMOTE_PROGRESS_TEXT"
   Case CdoPR_REMOTE_PROGRESS_TEXT_W:
      CdoPrTextFromCode = "CdoPR_REMOTE_PROGRESS_TEXT_W"
   Case CdoPR_REMOTE_PROGRESS_TEXT_A:
      CdoPrTextFromCode = "CdoPR_REMOTE_PROGRESS_TEXT_A"
   Case CdoPR_REMOTE_VALIDATE_OK:
      CdoPrTextFromCode = "CdoPR_REMOTE_VALIDATE_OK"
   Case CdoPR_CONTROL_FLAGS:
      CdoPrTextFromCode = "CdoPR_CONTROL_FLAGS"
   Case CdoPR_CONTROL_STRUCTURE:
      CdoPrTextFromCode = "CdoPR_CONTROL_STRUCTURE"
   Case CdoPR_CONTROL_TYPE:
      CdoPrTextFromCode = "CdoPR_CONTROL_TYPE"
   Case CdoPR_DELTAX:
      CdoPrTextFromCode = "CdoPR_DELTAX"
   Case CdoPR_DELTAY:
      CdoPrTextFromCode = "CdoPR_DELTAY"
   Case CdoPR_XPOS:
      CdoPrTextFromCode = "CdoPR_XPOS"
   Case CdoPR_YPOS:
      CdoPrTextFromCode = "CdoPR_YPOS"
   Case CdoPR_CONTROL_ID:
      CdoPrTextFromCode = "CdoPR_CONTROL_ID"
   Case CdoPR_INITIAL_DETAILS_PANE:
      CdoPrTextFromCode = "CdoPR_INITIAL_DETAILS_PANE"
   Case CdoPR_NNTP_XREF:
      CdoPrTextFromCode = "CdoPR_NNTP_XREF"
   Case CdoPR_NNTP_XREF_W:
      CdoPrTextFromCode = "CdoPR_NNTP_XREF_W"
   Case CdoPR_NNTP_XREF_A:
      CdoPrTextFromCode = "CdoPR_NNTP_XREF_A"
   Case CdoPR_INTERNET_PRECEDENCE:
      CdoPrTextFromCode = "CdoPR_INTERNET_PRECEDENCE"
   Case CdoPR_INTERNET_PRECEDENCE_W:
      CdoPrTextFromCode = "CdoPR_INTERNET_PRECEDENCE_W"
   Case CdoPR_INTERNET_PRECEDENCE_A:
      CdoPrTextFromCode = "CdoPR_INTERNET_PRECEDENCE_A"
   Case CdoPR_REFERRED_BY_NAME:
      CdoPrTextFromCode = "CdoPR_REFERRED_BY_NAME"
   Case CdoPR_REFERRED_BY_NAME_W:
      CdoPrTextFromCode = "CdoPR_REFERRED_BY_NAME_W"
   Case CdoPR_REFERRED_BY_NAME_A:
      CdoPrTextFromCode = "CdoPR_REFERRED_BY_NAME_A"
   Case CdoPR_SEND_INTERNET_ENCODING:
      CdoPrTextFromCode = "CdoPR_SEND_INTERNET_ENCODING"
   Case Else
      CdoPrTextFromCode = ""
   End Select
   
End Function ' CdoPrTextFromCode
